Ubuntu

Clocksource tsc unstable leads to lockups

Reported by Mark Grandi on 2009-04-04
296
This bug affects 41 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
High
Manoj Iyer
Declined for Jaunty by Sebastien Bacher
Declined for Maverick by Sebastien Bacher

Bug Description

[[

Marking as invalid as per discussion. Bug reports are not useful as forum for users to help each other out, they are intended to help the developers keep things organized so they can _fix_ them. As such, _please_ report new bugs for each issue, even if they seem nearly identical. That's the only way that each issue can get the needed attention from the triage and developer teams.

The original bug has been transplanted to a fresh location.

]]

Ever since i installed jaunty, randomly my computer would just freeze, and even a alt+f1 or a alt+sysrq+reisub would not do anything, so i assume its a kernel problem. This just happened right now, and i had to restart my computer, so i ran 'ubuntu-bug linux' the second i restarted. Maybe it will provide some insight to the problem?

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
MachineType: System manufacturer P5Q-PRO
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-11-generic 2.6.28-11.40
ProcCmdLine: root=UUID=d9574ed9-a697-45be-b773-ad8a81d79b6b ro quiet splash vga=792
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-11.40-generic
SourcePackage: linux

Mark Grandi (markgrandi) wrote :
Jon Charge (seropith) wrote :

Thakn you for your report.

Can you perform a memory test?

Jon

Changed in linux (Ubuntu):
assignee: nobody → seropith
status: New → Incomplete
Jon Charge (seropith) wrote :

Thank you for your report. Can you perform a memory test, and post back the results?

https://help.ubuntu.com/community/MemoryTest

Thank you again,

Jon

Mark Grandi (markgrandi) wrote :

left a memtest running for a couple of hours, it did 3 passes with no errors

see picture:

Peter T. (pit.s) wrote :

I had the same problem. It appear after update from 2.6.28-6 on 2.6.28-8 kernel and upper.
Firstly I've think it's video driver related but with 2.6.28-6 kernel, on the same driver it's work very stable.
I find in kernel.log this lines:

kernel: [ 21.198429] Marking TSC unstable due to cpufreq changes
kernel: [ 23.588616] agpgart-nvidia 0000:00:00.0: AGP 3.0 bridge
kernel: [ 23.588633] agpgart-nvidia 0000:00:00.0: putting AGP V3 device into 8x mode
kernel: [ 23.588689] nvidia 0000:02:00.0: putting AGP V3 device into 8x mode
kernel: [ 31.732343] Clocksource tsc unstable (delta = -63230109 ns)

After adding notsc clocksource=acpi_pm to grub kernel boot parameters. It stop freezing.

Hope it's help somehow.

Pit.

CPU: AMD Sempron 2500+
Memory: 1Gb
MB: Asus A7N8 on nforce2
Video: Gigabyte GeForce 6200

Mark Grandi (markgrandi) wrote :

And yes, before anyone asks, this is causing data loss, most likely cause the ext4 issues, but still.

Mark Grandi (markgrandi) wrote :

i tried adding 'clocksource=acpi_pm' to the kernel boot parameters, and my computer still freezes.

Peter T. (pit.s) wrote :

Try also 'notsc' .

Jimmy Angelakos (vyruss) wrote :

I can confirm this happens on 2 different PCs with Nvidia cards.

One is a Core 2 Duo with a 8600GT and the other is an Athlon 64 with an 6600LE.

The common factor is they both run amd64 Jaunty, all packages up-to-date.

rumandfruit (mirko-3) wrote :

I can confirm this, Jaunty 64bit, driver version 185.19-0ubuntu0 (not official, I know). My card is a GeForce 8400M GS, CPU is Core Duo; everything else is up-to-date.

Oliver Marks (oly) wrote :

Same problem on 32bit jaunty with a VGA compatible controller: nVidia Corporation G71 [GeForce 7300 GS] (rev 06) card.

Scrolling up and down the page quickly makes the screen blank temporarily, and eventually results in hard freeze and reboot and on odd occasions gnome will die and return me to the gdm login screen so a few problems probably all related to this bug though.

Mark Grandi (markgrandi) wrote :

is there nothing we can do? i cannot leave my computer running jaunty for more then a day without coming back to see a frozen screen and my mouse/keyboard not responding. Each time it crashes there is nothing in any of the error logs, is there some way to turn debugging on so i can help get this bug fixed? I do not want to be stuck using intrepid when jaunty is better in most every way just because of some stupid kernel bug

cmanon (cmanon) wrote :

Same problem here, jaunty amd64 with an nvidia card.

roltidroll (james-parrish) wrote :

ditto. jaunty amd64 with an nvidia card. I have seen two different types of lock up. the first two times it locked up followed the same description as that mentioned above. Today, my display blacked out and all control was lost.

Åskar (olskar) wrote :

I can confirm this on Nvidiacard and ATI.

We can rule out this is because errors in hardware. Intrepid works fine on same hardware.

Other things it looks like we can rule out is brand of videocard and sort of filesystem, people are having freezes regardless of this.

This is the thread in the forums about this issue:
http://ubuntuforums.org/showthread.php?t=1135055

mp (m-p) wrote :

Same problem with this card:

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]

x86 / EXT4

Rest of lspci
00:00.0 Host bridge: ATI Technologies Inc Device 5a31 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 82)
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller (rev 80)
00:14.2 Audio device: ATI Technologies Inc IXP SB4x0 High Definition Audio Controller (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]
02:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
03:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
03:06.3 SD Host controller: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
03:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
04:00.0 USB Controller: NEC Corporation USB (rev 43)
04:00.1 USB Controller: NEC Corporation USB (rev 43)
04:00.2 USB Controller: NEC Corporation USB 2.0 (rev 04)

C de-Avillez (hggdh2) on 2009-05-01
Changed in linux (Ubuntu):
assignee: Jon Charge (seropith) → nobody
dlopez (dlopez9) wrote :

The same here!!!
Random freezes for Ubuntu 9.04 64 bits. Sometimes after 23 hours on, sometimes in the boot. Sometimes selecting text on the web, sometimes watching a video... I can not find any regular behaivor.

I have been using Ubuntu since 6.10 and this is the first time something like this happens to me.

Mi logs don't show anything strange (syslog, messages, xorg.log, ...).
For example:

1rst freeze today (8:28 am):
May 1 07:40:01 borriquito /USR/SBIN/CRON[7110]: (root) CMD ([ -x /usr/sbin/update-motd ] && /usr/sbin/update-motd 2>/dev/null)
May 1 08:28:05 borriquito syslogd 1.5.0#5ubuntu3: restart.

2nd freeze today (9:15 am):
May 1 09:15:59 borriquito pulseaudio[4648]: alsa-util.c: Device hw:1 doesn't support 2 channels, changed to 1.
May 1 09:24:59 borriquito syslogd 1.5.0#5ubuntu3: restart.

As you see, diferent messages without any relation. The same messages appear in logs sometimes without causing freezing.

My hardware: Asus P5Q3 / 4 GB DDR3 RAM / Intel E8400 / GeForce 7300 GS / 1 TB + 250 GB disk

Maybe a hardware incompatibility???

If you need more information, please ask!!

Åskar (olskar) wrote :

People who are experiencing this, please attach information such as /var/log/Xorg.0.log, dmesg and lspci -vvnn output.

dlopez (dlopez9) wrote :

I put my Xorg.0.log, dmesd and lspci.

Thank you.

David.

dlopez (dlopez9) wrote :

In the last freeze I saw this in message's log:

May 6 20:05:31 borriquito kernel: [ 3455.085169] npviewer.bin[7060]: segfault at ff9bea2c ip 00000000ff9bea2c sp 00000000ffe7fa4c error 14

Is the first time I see something strange!!!

Hope it helps.

David.

Same issue here.

I have an onboard nvidia 8300 (rev 2)

Running the latest official jaunty nvidia drivers in jockey-gtk.

Running the latest default 64-bit kernel in Jaunty as well: 2.6.28-11.

My mouse will lock up after around 20 minutes with the nvidia 180 drivers.
My mouse locks up after about only 2 minutes with the nvidia 173 drivers.
I am currently testing not using the nvidia drivers for now--will report on results.

I should note that Intrepid worked flawlessly on this pc with the latest nvidia drivers, which leads to suspect this is a kernel issue.

Also, the only thing that appears to lock up is my mouse. My keyboard and background apps such as Banshee still work fine after the mouse lockup.

This is a brand new pc I built myself a few months ago.

Okay, I've uninstalled the nvidia drivers and I have a new record uptime of 32 minutes so far and no lockups.

It seems the culprit might be the nvidia drivers after all.

I am about to install the 2.6.30 kernel to see if it works with the nvidia drivers.

brntoki (longtrashnjunk) wrote :

Same issue. Jaunty, Ubuntu Studio amd_64, 2.6.28-3-rt, fresh install (using old /home directory), Nvidia 7300 gt, gigabyte ds3l mb, core 2 duo e2160, 4gb ram. Succesfully updated.

RULED OUT:
No issues with 7.10 and an upgrade to 8.04. This issue is regardless of the Nvidia drivers. It happens even if uninstalled completely. One of my several fresh installs was greeted with a freeze even prior to attempting to install graphics drivers. I couldn't get the latest 180.51 driver to install at all, nor were attempts succesfull to go back to the 173 driver via Ubuntu's restricted driver package (no x after changing to 173 driver). Disabling screensaver has no effect.

SUSPICIOUS:
Issue seems to me to be related to network activity. To attempt any relatively heavy net traffic seems 100% fatal. I'll note also that my initial attempt at the fresh install was buggy in that DHCP detection made several failed attempts at auto configuration. Subsequent reinstallations went without a hiccup, however.

I haven't figured out how to install the 2.6.30 kernel, so haven't tested. I'm planning to go back to my Jaunty install and disable my network connection and see if I can run stable while doing some real work. If I'm up for 4 or 5 hrs. I'd be pretty satisfied that it's something with the network activity. I'll also get the logs that I should have in the first place before coming to Windows to file this report (I did try in Jaunty, but several hard resets later... :)

Mark Grandi (markgrandi) wrote :

brntoki , first off, what logs are you going to report? i have not found any mention of any problems pertaining to this hard locking issue in any of the logs, kern.logm messages, etc. If you do find something that might be related, share it so i can check my logs

also, yeah it might be network. My wireless router (an apple airport), likes to...reset itself or disconnect everyone in the house for a few minutes before it allows us to reconnect. One time that jaunty froze, i just got the notify-osd popup that my network had disconnected, and it was at that moment that my computer froze.

anto1ne (antoine-chwing) wrote :

Same here with a amd x2-4800+ and geforce 7300LE
The machine used to work with ubuntu 8.10, and now lots of freeze/crash since upgrade to jaunty.
Tried all ubuntu nvidia drivers, then nvidia 180.51, still crashing.
Currently trying kernel 2.6.29-020629-generic with nvidia v185.18.08, if this doesn't work I'll have to revert to 8.10

brntoki (longtrashnjunk) wrote :

Polygon,

As posted by Åskar: "People who are experiencing this, please attach information such as /var/log/Xorg.0.log, dmesg and lspci -vvnn output."

I can't make heads or tails of these logs myself. I've had my Jaunty on for close to 4 hrs with the networking disabled. I haven't been able to do much work, but the screensaver has been active the entire time. I'm going to go do some work on it in another 30. min or so. We'll see, but so far so good.

Also note: This has been with the Nvidia 180.44 driver. Again, I'm sure that it has nothing to do with the graphics drivers. It was freezing with or without.

SYMPTOM:

After some network activity via wlan0 I experience a total system freeze, mouse does not move. ALT+SysReq+R-E-I-S-U-B has no effect. Rebooting does not help, than I will experience the freeze again within minutes.

SHORT-TERM-RESOLUTION:

Boot into MS-Vista, reboot again to Jaunty. System will work again for 4-24hours.

SUSPICION:

I am not a developer, but is it possible that by booting to Vista some fancy registers of the hardware will be reset? As I can link the problems to WLAN activity, I think the freeze is connected to either general network activity or the WLAN driver.

I attached the output from lspci. I will also attach Xorg.0.log and dmesg.

Hope I can help,
Marc

Åskar (olskar) wrote :

I mark this one as confirmed instead of incomplete as the memorytest that was requested has been done, we also have people who posted their /var/log/Xorg.0.log, dmesg and lspci -vvnn outputs.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
brntoki (longtrashnjunk) wrote :

My computer ran most of the day without freezing after disabling the network connection. I re-enabled it in order to submit my logs and it froze up before I could get into this page. I'm sure it has to do with the networking somehow. Maybe a static IP would be my next test.

brntoki (longtrashnjunk) wrote :
brntoki (longtrashnjunk) wrote :
Mark Grandi (markgrandi) wrote :

is everyone here using a wireless card that has an atheros chipset? (and therefore is using the ath5k driver)?

No, Dell Inspiron 1545 w/ Intel Wifi-Link 5100AGN ("iwlagn" driver).

brntoki (longtrashnjunk) wrote :

No, I don't use wireless.

dlopez (dlopez9) wrote :

I don't use wireless.
The problems is not the wireless or the graphics. I think the problem is a hardware managing.
My new computer freeze with 9.04 64 bits and with 8.10 32 bits.
My hardware is:
- Asus P5Q3
- Chipset: P45
- RAM: DDR3 1333MHz
- CPU: Intel Pentium Dual Core 2 E8400
- Hard Disk: Seagate 1 TB
- Hard Disk: Seagate 250 GB
- Graphics: Geforce 7300 GS

David.

MarcD (vonloschz-gmail) wrote :

Same problem on my workstation.
I run Kunbutun from 6.04 to 9.4 and now it's freeze under 20min each time.
While I play kids game (supertux) or on internet with java/flash game too.

Hardware
AMD Athlon(tm) XP 3200+
Asus A7N8 on nforce2
GeForce 6600 GT

Software
Linux vonloschz 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux
NVRM version: NVIDIA UNIX x86 Kernel Module 180.44 Mon Mar 23 14:59:10 PST 2009
GCC version: gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4)

MarcD (vonloschz-gmail) wrote :

dmesg.txt
lspci-simple.txt
lspci-detail.txt (lspci -vvnn)
nvidia-bug-report.log
Xorg.0.log

Mark Grandi (markgrandi) wrote :

i am not almost positive that at least the issue i am experiencing is some sort of networking issue. I was using my computer, i noticed my internet connection died and instantly after the popup came up, my computer locked up. And this is the third time this exact sequence of events has happened.

Mark Grandi (markgrandi) wrote :

i am now almost positive that at least the issue i am experiencing is some sort of networking issue. I was using my computer, i noticed my internet connection died and instantly after the popup came up, my computer locked up. And this is the third time this exact sequence of events has happened.

brntoki (longtrashnjunk) wrote :

I'm now just hoping for a hint that someone even cares about this! Jaunty is completely useless in its current state. Come on! I understand it may take some time, but in the meanwhile a little acknowledgment would go a long way.

I would like to add to the last comment. I had two days without freezes, coincidently after the compiz-updates. I started to rebuild trust to this machine - until last night. Now even my "workaround" of booting to Vista does not work anymore, the laptop is completely useless for me. I experience freezes within two or three minutes after booting.

I am pretty sure that I can "blame" the wireless network connection for the freezes. As soon as I switch the radio of, the system is stable. I will test the network with a wired connection later today.

How can I further assist hunting down that bug?

Marc Domachowski wrote:
> I would like to add to the last comment. I had two days without freezes,
> coincidently after the compiz-updates. I started to rebuild trust to
> this machine - until last night. Now even my "workaround" of booting to
> Vista does not work anymore, the laptop is completely useless for me. I
> experience freezes within two or three minutes after booting.
>
> I am pretty sure that I can "blame" the wireless network connection for
> the freezes. As soon as I switch the radio of, the system is stable. I
> will test the network with a wired connection later today.

I don't use WIFI and have the hardware button in "OFF".

Still experience freezes.

Agree with previous comment: some acknowledgement would be nice/comforting.

Jaunty is the worst Ubuntu experience for me since Hoary and there also
seems to be very few updates so far, compared to other releases?!?!?
Should we begin to understand non-LTS releases as Alphas and Betas for LTSs?

Also affected by this bug. I've tried using Wicd network manager as a test for stability, but that did not provide any improvements. System still froze at unacceptably regular intervals.

Also affected.

On three PCs...:

- notebook Samsung R40+; ATI X1250
- notebook HP Pavilion dv9805eg; Nvidia 8400GM
- netbook LG X110; Intel GM950

the first ones tried with and also without proprietary drivers. Makes no difference!!!

Kaar3l (kaar3l) wrote :

Me too

At first it was pretty stable (using wicd), being in wifi it worked, but after few hours i had to disconnect and connect to AP again.

Now yesterday crashes started, on all crashes i used torrents (transmission).

Sometimes it's very stable for many hours.

System Specs:
JHL90; NV 9600M GT; wifi: Intel 5100

bryncoles (brunomatti) wrote :

me too. on a dell inspiron 1525n, from back when they sold them with ubuntu pre-installed (so all hardware should work fine with ubuntu). it has an intel chipset.

system freezes happen only about twice a week (touch wood) and seem to happen if i click a window or other option for only a second. then although music playing in audacious continues to play, the keyboard becomes completely dead, and the screen cannot refresh. seems to happen with firefox and flash running too (im using adobe's own flash plug in).

im running Kernel '2.6.28-11-generic'.

I am also not using wifi, rather I'm using ethernet.

My Intel chipset Dell D630 laptop works perfectly in Jaunty,
but my desktop is only usable anywhere from 20 minutes to 7 hours with the ethernet cable in and active
--but it always freezes after some random length of time.
I have not been downloading anything large and at the time of the freezes there usually is no activity going on
(no downloading--the firefox pages are usually already cached at the time of freeze).

Could this be some kind of ethernet driver problem?

vivichrist (vivichrist) wrote :

me too.

HP oompaq v6001au

Sir Romanov (romain-couillet) wrote :

I can confirm on my side: at startup I get a "tsc unstable message" 4sec after boottime, then at some point (randomly) dmesg brings "hpet increasing delta..." and computer slows down dramatically. This problem happened last night while computer was idle.

I tried all possibilities of Clocksources (from cat /sys/devices/system/clocksource/clocksource0/available_clocksource) in /boot/grub/menu.lst. None of them brings anything good. By default HPET is used and produces the least inconvenience. Note that then appending "notsc", dmesg brought a message saying TSC cannot be completly discarded since the kernel is compiled with option CONFIG_X86_TSC. This might explain why it doesn't help.

I also tried different older kernels in my grub list dating up to 2.6.27-7, same stalling problem. Though I haven't kept trace of the syslogs for those kernels.

As for problem reproduction, it seems to arise with higher probabilities on video playback (under MPlayer). 20min of video playback are currently impossible.

Anyone tried alternative distros such as Fedora or else? Is it really an Ubuntu/Jaunty problem?

Dell E6400 / Dual Core
2.6.28-11-generic, 64bit

dlopez (dlopez9) wrote :

I think is a ethernet driver problem!! If I disconnect the ethernet cable and reboot the system, it doesn't freezes.

Sir Romanov (romain-couillet) wrote :

I confirm. I've run my computer since this morning without ethernet connection whatsoever: no freeze, no slow down.
Note that I still have this "tsc unstable" 4sec after boottime, which is triggerred 0.3sec after eth0 is detected, as follows

[ 3.707706] 0000:00:19.0: eth0: (PCI Express:2.5GB/s:Width x1) ...
[ 3.707768] 0000:00:19.0: eth0: Intel(R) PRO/1000 Network Connection
[ 3.707840] 0000:00:19.0: MAC: 6, PHY: 8, PBA No: 1004ff-0ff
(...) some stuff concerning Power Management and ReiserFS
[ 4.001034] Clocksource tsc unstable (delta = -69029874 ns)

Is anyone currently working on this topic? I'd say it's quite an important issue! Restarting the computer every 20min makes it really unusable.

----------------------------------
Dell E6400 / Dual Core
2.6.28-11-generic, 64bit

dlopez (dlopez9) wrote :

I have done an experiment. I have disconnected the network card (1Gb) of the motherboard from the BIOS and I have connected other network card (100Mb) to a PCI. The result is the same, the computer freezes.

dlopez (dlopez9) wrote :

I correct myself. I left the computer without a network connection and has also been frozen. I no longer know what the problem is.

Sir Romanov (romain-couillet) wrote :

@ diopez: In my opinion, the problem is the following:
- very early at startup (4sec for me most of the time), something makes the clocksource unstable, raising a "tsc unstable".
- then some process (possibly a process being very offensive on the whatever clock you use), triggers a big slow down (which I experience as a "hpet increasing" being issued and then I have to restart). For me, this process is either linked to ethernet (when I start the computer with ethernet cable in, I often do not reach KDM before the problem arises!!! which means after 1min my computer has already stalled) or to video playback (20min of film watching and I'm screwed...).

Therefore this is must be a kernel issue, possibly not related to ethernet at all, which unbalances the tsc clock at startup till some software screws everything up.

Has everyone already tested the new 2.6.30 kernel issued with Karmic Alpha1 today who can confirm the problem is still there???

@ Sir Romanov: The interesting thing is that my machine runs rock-solid on wired ethernet or an external WiFi adapter (Linksys WUSG54GC). Using the internal Intel WiFi 5100AGN adapter I experience the freezes.

I stress-tested my system with the external WiFi adapter for 24 hours, transferring some 6 GiB from various sources (internet radio, torrents, copy from local servers) - rock solid.

Currently I transfer 24 GiB via the internal WiFi card in an attempt to provoke a kernel panic. I left the machine with tty1 open, so that I can trace a kernel panic if it should show up.

skankerror (skankerror47) wrote :

I experience lot of freeze since I'm on 9.04. I tried several kernel (from 2.6.28 to 2.6.30), rt, generic, rt-k7.
It freezes on ext3, or ext4.
Funny things is that half of boot, dns doesn't work, my computer is on my local net, dhcp works but no way to resolve IP address on internet.
Sometimes it freezes before X start.

Freeze freeze freeze brrrrrrrr

Sir Romanov (romain-couillet) wrote :

@shankerror: you also apparently have this TSC unstability, as mentioned in your dmesg:
[ 1.082774] cpufreq: FSB changing is maybe unstable and can lead to crashes and data loss.
[ 1.082790] cpufreq: FSB currently at 132 MHz, FID 13.5
[ 1.082820] Marking TSC unstable due to cpufreq changes

dmesg seems to suggest this is due to some dynamic bus frequency change which causes trouble. I just found out in this (French) thread that people suggest so boot with "acpi=off" option...
http://forum.ubuntu-fr.org/viewtopic.php?id=310384
I'm gonna try that.

On my side, I also just tried 2.6.30-rc5, no change.

Sir Romanov (romain-couillet) wrote :

Just tried "acpi=off" option. I can't say it sure does the trick since I just rebooted but the "tsc unstable" comment is no longer issued in dmesg!!!!

It really sucks not to use ACPI but for the time being, if it solves the problem, I'll vote for it! Can you guys confirm this also works for you?
(I tried that on the 2.6.30-rc5 kernel which, by the way, solves my other INTEL drivers issue... this Jaunty is quite a piece of work!)

Played with the clocksource parameter as well. "acpi_pm" will freeze the system within seconds after gdm starts. "tsc" is unstable due to having a multi-core setup. Testing "hpet" now - which is the clocksource the system would fall back to anyways after identifying tsc to be unstable.

There might be more than one reasons for my system freezing. "iwlagn" shows "Microcode SW error detected" and the clocksource seems to be a problem, too.

Sir Romanov (romain-couillet) wrote :

EDIT: "acpi=off" led to a stall also... But appending "noapic nolapic acpi=off" to the GRUB menu led to (up to now) no stalling... video playback, ethernet connected for already 12 hours, no problem.
Can you guys try and confirm this is a workaround?

For what I understand, LAPIC uses its own clock set on the CPU's frequency to handle interrupts. When you disable it, you might get rid off some synchronisation issues. However, it is said often to make the ACPI Power Management unstable; so better use "acpi=off" also.

The problem now is that there is no longer any CPU frequency scaling (since ACPI is discarded, the kernel cannot control the CPU frequency) and then the computer is running full speed... which on a laptop would quickly exhaust the battery and keep the CPU hot (unless on the contrary this sets the CPU to lowest frequency... how can I know that? maybe even not both cores are used...)! Does anyone have further information on that? What would be the default setting?

Kaar3l (kaar3l) wrote :

With these "acpi=off" and "noapic nolapic acpi=off" my computer refuses to boot. :/ acpi=off, then it just does nothing and when i put the other one, then it says using some dummy acpi and connect to your hw vendor and does not do anything more. :/

skankerror (skankerror47) wrote :

With these "acpi=off" and "noapic nolapic acpi=off" my computer still freezing.
I tried also "notsc clocksource=acpi_pm", still freezing...

I've recently moved over to Fedora 11 (preview release) because of this show-stopping bug and everything is working great now.
Fedora 11 uses the 2.6.29.3-140 kernel.
I'm also using the 180.51 nvidia drivers.

I hope this bug in Jaunty gets fixed soon...but for now, Fedora has a new initiate ;)

I also tried the .30 kernel in Jaunty and it didn't work for me.

Btw, someone needs to move the importance of this bug to Critical.

It is something that would bring a business to its knees if it chose to use Jaunty.

Sir Romanov (romain-couillet) wrote :

@Chem. Imbalance, That is indeed a shame to move from a supposedly stable Ubuntu to an alpha Fedora distro! But this would mean this is no direct kernel issue then... this really has to be figured out ASAP!!!

@VangelistX, I take it from the header of this page that you are in charge. Given the increasing quantity of users impacted and the definite critical importance of this bug (computers stall and need to be rebooted sometimes multiple times per day), can we consider moving it from UNDECIDED to CRITICAL? Thank you.

Back to my previous attempts, I also confirm the "noapic nolapic acpi=off" flags did not solve the problem but merely postponed it to 24h later...
However, as recalled earlier, in my case the system stalls mostly after 15 to 20min of fullscreen video playback. Today I watched quite a lot of movies in small windowed screens, and everything went fine! I would say the main observable difference between windowed and fullscreen is an intensified CPU usage of Xorg. Others have the problem when intensely downloading... Is it possible Xorg or any other software can unbalance the HPET clock when harvesting the CPU resources?

Jimmy Angelakos (vyruss) wrote :

Ever since I last reported on this bug, ( https://bugs.launchpad.net/ubuntu/+source/linux/+bug/355155/comments/9 )
it has never happened again!

I have used these machines now with Jaunty amd64 for a month with no lockups whatsoever.

Mark Grandi (markgrandi) wrote :

I just got another lockup last night, so whatever (my problem is at least) is, its still not fixed.

As this bug report is related to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/375986 I'd like to poat my experience also here:

Same freeze with following hard- and software here:
GA-K8VT800 (Pro) motherboard with VIA K8T800 Chipset
 CPU: AMD Athlon(tm) 64 Processor 2800+
 Graphic: ATI Technologies Inc RV280 [Radeon 9200 PRO]
 Network: Realtek Semiconductor Co., Ltd. RTL-8029 (no wireless)
 I tested fresh installations of Ubuntu Jaunty, Kubuntu Jaunty and furthermore Ubuntu Studio. All systems showed the freeze,
the latter even with the real time kernel.

In contrary to the original poster REISUB is working.
Changing network driver of ATI card and Kernel to version 2.6.30rc doesn't help.

I have downgraded to kernel 2.6.27 and the system is rock-stable for 10 days now!

dannyboy1121 (dan-silverlotus) wrote :

Since switching from Intrepid to Jaunty I've had this issue ..
I'm running a server .... no X here. Server fails (stops responding) between one and five times as day. Sysrq works (allows me to reboot).

My system is PXE booted so I don't get anything in the logs if it keels over .. but pumping output to the console showed NTP updating and the kernel adjusting time immediately prior to the last failure.

dmesg reveales the same issue previously mentioned:
root@server:~# more /var/log/dmesg | grep "tsc unstable"
[ 8.660011] Clocksource tsc unstable (delta = -292912815 ns)

The issue manifests at various times but mostly under load.

I'm currently using Kernel 2.6.29

Oli (oliver-nagy) wrote :

I have recently switched over from Gutsy to Jaunty (fresh install), and
the system started to freeze randomly, although the REISUB combination
usually worked.

After downgrading to 2.4.27, the system ran stable again for several
days, but eventually locked up too. Then I tried the standard Jaunty
kernel (2.6.28-11-generic) once more, and the system was mostly stable
again (froze "only" twice in the past week). However, after the last
freeze yesterday, it has become unusable again; starting Gimp and
Firefox froze the system every time (with and without plugged network
cable, with and without acpi option, with and without activated
swap), although I had used these programs a lot over the last week without
problems.

These freezes were also hard freezes, ie. the REISUB combination did
not work, Caps Lock did not blink, and even the mouse cursor was frozen.

I am now using the PPA mainline kernel 2.6.27-02062710-generic again,
and this seems to work; for now. As far as I remember, I have not
installed anything in the past few days, so it has been essentially the
same system all the time, and the computer has been running flawlessly with
Gutsy for over a year now.

The computer is a Dell Optiplex 745 (Intel Core Duo, ATI Radeon X1300/X1500),
and I am not using any proprietary drivers.

Oli (oliver-nagy) wrote :
justamob (ja706) wrote :

I have the same issue, system uptime with identical load activity for Intrepid (8.10) for 2 weeks or more (until I needed to boot Windows) with no issues. Installed Jaunty (fresh) May 12th, and every 12-30 hours of uptime I have a 'Hard Freeze' .... nada, no keyboard, mouse, 5 second power-interrupt requirement (no kernel panic?).

Originally discovered this bug doing an rm on a directory (about 100 files) from cli.
have successfully used the 'rm' without incident, most of the time, but 3 other times.
Decided to apt-get uqm to enjoy a little nostalgia, crash? same as before, rebooted, clicked the 'crash happened' bubble upon reboot, and it froze (as if BAITING me)...

Very irrational bug, if you ask me. There is little logic, except maybe video -- I was playing a movie and it froze then as well (today).

BUT, that does remind me that I had 'reniced' the vlc process to stop the jumpiness since I have a P4 -- COULD that be an issue? (renice -15).

I do agree with the previous posters, this is definitely a deal breaker to put on my live server -- Does anyone know if this is solely a gdm issue?

Also, I do have heavy network (wired) use from time to time.

justamob (ja706) wrote :
justamob (ja706) wrote :

Also, I have Nvidia 6200, using the 180.xx driver (I believe 37 was 8.10, 44 now 9.04).

As a whole, I am impressed with Jaunty, but it cannot be used until this issue is resolved.

The others are correct, I see in the logs (last -n15) indicated crash, but ALAS the word appears in no other log:
crazy pts/1 :0.0 Tue May 19 22:08 still logged in
crazy pts/0 :0.0 Tue May 19 18:10 still logged in
crazy tty7 :0 Tue May 19 18:09 still logged in
reboot system boot 2.6.28-11-generi Tue May 19 18:07 - 00:08 (06:00)
crazy pts/0 :0.0 Mon May 18 22:43 - crash (19:24)
crazy tty7 :0 Mon May 18 22:43 - crash (19:24)
reboot system boot 2.6.28-11-generi Mon May 18 22:42 - 00:08 (1+01:25)
crazy pts/1 :0.0 Mon May 18 21:31 - crash (01:10)
crazy pts/0 :0.0 Mon May 18 21:30 - crash (01:11)
crazy tty7 :0 Mon May 18 21:30 - crash (01:11)
reboot system boot 2.6.28-11-generi Mon May 18 21:29 - 00:08 (1+02:38)
nutty pts/3 localhost Mon May 18 12:52 - 19:05 (06:13)
wishful pts/2 nowhere.special Mon May 18 12:42 - 19:05 (06:23)
crazy pts/0 :0.0 Mon May 18 00:21 - crash (21:08)
crazy pts/1 :0.0 Mon May 18 00:03 - crash (21:26)
crazy pts/0 :0.0 Mon May 18 00:00 - 00:04 (00:04)
crazy tty7 :0 Sun May 17 23:59 - crash (21:30)
reboot system boot 2.6.28-11-generi Sun May 17 23:58 - 00:08 (2+00:09)
nutty pts/2 localhost Sun May 17 16:13 - 19:19 (03:05)
wishful pts/1 nowhere.special May 17 16:13 - 19:19 (03:05)

Funny, I guess I haven't had to use the power button to kill the machine before, that could be why I don't know the 'crash' status.

For the developers out there, I do applaud your efforts, I know dealing with many hardware types cannot be predicted flawlessly; but, is there any way I could help you determine the approximate problem? Have you been able to reproduce this odd little bug? Do you have a suspicious culprit that can be tested?

Luis (luisrpp) wrote :

Does anyone had this problem without installing video drivers or any other additional package?

Jamie (solowinter) wrote :

Unfortunately for me, this problem didn't start until just after converting my Ext3 partitions to Ext4, so not only do I get random freezes but actual data loss. Lost 180 MB one time (before backup) and the last one just destroyed my Firefox profile. So instead of working today, I get to rebuild lost data.

Does anyone know if this is affecting other distros? I've been plagued by this problem for weeks and I've just about had my fill of losing data. If this is an Ubuntu/Kubuntu-specific problem, it may be reason enough for me to drop it and move to another distro.

Luis (luisrpp) wrote :

I have this problem too and it is sad because this is the first distro that everything works out of the box in my notebook. I'm using the amd-64 version and it is an intel dual core with nvidia 9600 GT.

I saw here that some people tried to use a different kernel version, but the problem is still there. Disabling ACPI is not helping too. I have a Nvidia card, but some people are facing the same problem with ATI and Intel cards. The network interface was already tested and the problem remains.

Does anybody has more ideas?

I can't remember the last time I had a problem like this in Linux. It was a long long time ago.

Mark Grandi (markgrandi) wrote :

I honestly think that half of these 'me too' posts are for differnet problems, when i first reported this, i had no idea what was causing it, but now it appears that the common symptom is the 'tsc unstable' message in the kern.log file (or wherever it appears)

so if you do NOT have this message in your kern.log file, you might be suffering from a different problem altogether. however, i have no way of confirming that as no person with technical knowledge of ubuntu/the kernel has chimed into this bug report to help.....

alcCapone (alcc) wrote :

Same problem here:

# cat /var/log/kern.log | grep -i "tsc"
May 20 21:40:58 x60s kernel: [ 0.000000] Fast TSC calibration using PIT
May 20 21:40:58 x60s kernel: [ 0.800759] checking TSC synchronization [CPU#0 -> CPU#1]:
May 20 21:40:58 x60s kernel: [ 0.804002] Measured 526680 cycles TSC warp between CPUs, turning off TSC clock.
May 20 21:40:58 x60s kernel: [ 0.804002] Marking TSC unstable due to check_tsc_sync_source failed
May 20 21:41:07 x60s kernel: [ 46.513662] vboxdrv: TSC mode is 'asynchronous', kernel timer mode is 'normal'.

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 09)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18)

# uname -a
Linux x60s 2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009 i686 GNU/Linux

alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
dannyboy1121 (dan-silverlotus) wrote :

Luis: Does anyone had this problem without installing video drivers or any other additional package?

Dan: I have this problem and I'm running server without X ... as for additional packages, I've got hundreds.

Nicolas Piguet (npiguet) wrote :

I also have this problem. The last kernel log message before every crash is always "hpet increasing", and I also have the "clocksource tsc unstable". In practice, the freeze seems to happen when the computer in under some kind of load. For me, it really hates it when there is a lot of wireless activity. For example running p2p applications tends to lead to a freeze faster than just browsing the net.

--- Extract of Kern.log.0 ---
May 16 10:18:45 lotp-fsa kernel: [ 0.004000] hpet clockevent registered
May 16 10:18:45 lotp-fsa kernel: [ 0.608076] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
May 16 10:18:45 lotp-fsa kernel: [ 0.608080] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
May 16 10:18:45 lotp-fsa kernel: [ 5.233125] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
May 16 10:18:45 lotp-fsa kernel: [ 14.001038] Clocksource tsc unstable (delta = -197096291 ns)
May 16 10:37:35 lotp-fsa kernel: [ 1146.141055] CE: hpet increasing min_delta_ns to 15000 nsec
May 16 10:39:04 lotp-fsa kernel: [ 1235.277058] CE: hpet increasing min_delta_ns to 22500 nsec

Nicolas Piguet (npiguet) wrote :

Forgot to say: I'm on a Fujitsu Siemens Amilo xi2428 Laptop, and I'm using Kubuntu Jaunty 64 bits.

--- lspci ---
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GS (rev a1)
04:00.0 Memory controller: Intel Corporation Turbo Memory Controller (rev 01)
05:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
07:00.0 Mass storage controller: Silicon Image, Inc. Sil 3531 [SATALink/SATARaid] Serial ATA Controller (rev 01)
08:04.0 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)

Kaar3l (kaar3l) wrote :

For few days it was rock stable. Now i had a crash while computer was on screensaver.
18:39 I came and it was frozen. :(

cat /var/log/kern.log | grep -i "tsc"
May 21 18:06:07 Kompuuter kernel: [ 0.000000] Fast TSC calibration using PIT
May 21 18:06:07 Kompuuter kernel: [ 0.468648] checking TSC synchronization [CPU#0 -> CPU#1]: passed.
May 21 18:06:07 Kompuuter kernel: [ 3.217592] Marking TSC unstable due to TSC halts in idle
May 21 18:06:08 Kompuuter kernel: [ 13.001058] Clocksource tsc unstable (delta = -206363444 ns)
May 21 18:06:09 Kompuuter kernel: [ 13.734607] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
May 21 18:38:07 Kompuuter kernel: [ 0.000000] Fast TSC calibration using PIT
May 21 18:38:07 Kompuuter kernel: [ 0.468647] checking TSC synchronization [CPU#0 -> CPU#1]: passed.
May 21 18:38:07 Kompuuter kernel: [ 3.217595] Marking TSC unstable due to TSC halts in idle
May 21 18:38:08 Kompuuter kernel: [ 15.504060] Clocksource tsc unstable (delta = -187336808 ns)
May 21 18:38:09 Kompuuter kernel: [ 16.205336] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.

cat /var/log/kern.log | grep -i "hpet"
May 21 18:38:07 Kompuuter kernel: [ 0.000000] ACPI: HPET BFDFCD86, 0038 (r1 INTEL CRESTLNE 6040000 LOHR 5A)
May 21 18:38:07 Kompuuter kernel: [ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
May 21 18:38:07 Kompuuter kernel: [ 0.004000] hpet clockevent registered
May 21 18:38:07 Kompuuter kernel: [ 0.004000] HPET: 4 timers in total, 0 timers will be used for per-cpu timer
May 21 18:38:07 Kompuuter kernel: [ 0.596077] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0
May 21 18:38:07 Kompuuter kernel: [ 0.596081] hpet0: 4 comparators, 64-bit 14.318180 MHz counter
May 21 18:38:07 Kompuuter kernel: [ 3.216126] rtc0: alarms up to one month, y3k, 242 bytes nvram, hpet irqs

Mark Grandi (markgrandi) wrote :

I changed the name to reflect the only connection the majority of people in this bug report have, teh clocksource is becomming unstable and then freezing the computer

summary: - Computer hard locks randomly with ubuntu jaunty
+ Clocksource tsc unstable leads to lockups in Ubuntu Jaunty

# cat /var/log/kern.log | grep -i "hpet"
May 20 21:40:58 x60s kernel: [ 0.000000] ACPI: HPET 7F6DECAE, 0038 (r1 LENOVO TP-7B 2080 LNVO 1)
May 20 21:40:58 x60s kernel: [ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
May 20 21:40:58 x60s kernel: [ 0.004000] hpet clockevent registered
May 20 21:40:58 x60s kernel: [ 0.004000] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
May 20 21:40:58 x60s kernel: [ 0.888123] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
May 20 21:40:58 x60s kernel: [ 0.888132] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
May 20 21:40:58 x60s kernel: [ 3.416230] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs

alcCapone (alcc) wrote :

# grep -i tsc /var/log/messages
May 15 08:11:52 x60s kernel: [ 0.000000] Fast TSC calibration using PIT
May 15 08:11:52 x60s kernel: [ 0.800755] checking TSC synchronization [CPU#0 -> CPU#1]:
May 15 08:11:52 x60s kernel: [ 0.804002] Measured 526920 cycles TSC warp between CPUs, turning off TSC clock.
May 15 08:11:52 x60s kernel: [ 0.804002] Marking TSC unstable due to check_tsc_sync_source failed
May 15 08:12:01 x60s kernel: [ 25.869988] vboxdrv: TSC mode is 'asynchronous', kernel timer mode is 'normal'.
... [repeats]

# grep -i tsc /var/log/installer/syslog
[sudo] password for cf:
Oct 31 16:41:39 ubuntu kernel: [ 163.425955] checking TSC synchronization [CPU#0 -> CPU#1]:
Oct 31 16:41:39 ubuntu kernel: [ 163.445936] Measured 526930 cycles TSC warp between CPUs, turning off TSC clock.
Oct 31 16:41:39 ubuntu kernel: [ 163.445939] Marking TSC unstable due to: check_tsc_sync_source failed.

alcCapone (alcc) wrote :
RedSocrates (redsocrates) wrote :

I just want to add my own confirmation, and the relevant files, here. Like everyone else, I encounter seemingly random system freezes on Jaunty. On the same machine on which I encounter these freezes, I have no problems running Crunchbang 8.10, Debian Lenny, or ArchLinux -- the issue occurs only with Ubuntu (and perhaps only with Ubuntu 9.04). As someone else mentioned, I think this bug is worth marking "Critical"; it's enough for me to have just removed Ubuntu from my machine and returned to Debian, anyway.

Some relevant info in addition to the above: the problem occurred for me on a 32-bit version of Ubuntu 9.04 running on a Compaq Presario C700 laptop. My kern.log file shows the TSC lines (and the hpet lines) that others have mentioned. Other information is in the attachments here and below.

RedSocrates (redsocrates) wrote :
RedSocrates (redsocrates) wrote :
RedSocrates (redsocrates) wrote :
Kaar3l (kaar3l) wrote :

I read another similar bug and there some guys got it fixed like that:
into /boot/grub/menu.lst on kernel line they added "clocksource=tsc". I tried that too, system was super slow on boot. So the other line was "clocksource=hpet". I am now running with that hpet line, had wireless activity, switched wireless off and did some tests. Almost 24 hours without crash. So far so good.

grep -i tsc /var/log/messages
shows nothing

grep -i hpet /var/log/messages
shows nothing

PS. Frequency scaling also is working.

Jungle Boy (mowgli80) wrote :

am facing the same problem. I moved to opensource nvidia drivers and no more lockups. May be there is a problem with the nvidia drivers.

RedSocrates (redsocrates) wrote :

I do not use the nvidia drivers, so that isn't the issue in my case, at least.

Sir Romanov (romain-couillet) wrote :

I have a reproducible pattern: on kernel 2.6.30-rc6, I get these

[ 0.881484] rtc_cmos 00:03: setting system clock to 2009-05-23 19:56:41 UTC (1243108601)
[ 0.881545] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 0.881597] EDD information not available.
[ 1.000049] Clocksource tsc unstable (delta = -112215141 ns)

everytime ONE second after boot. I attach lscpi, and a complete dmeg.

The patterns are highly similar :

May 23 10:21:14 laptop kernel: [ 0.881659] rtc_cmos 00:03: setting system clock to 2009-05-23 08:20:35 UTC (1243066835)
May 23 10:21:14 laptop kernel: [ 0.881720] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 10:21:14 laptop kernel: [ 0.881772] EDD information not available.
May 23 10:21:14 laptop kernel: [ 1.000146] Clocksource tsc unstable (delta = -112013565 ns)
--
May 23 11:13:47 laptop kernel: [ 0.877902] rtc_cmos 00:03: setting system clock to 2009-05-23 09:13:06 UTC (1243069986)
May 23 11:13:47 laptop kernel: [ 0.877963] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 11:13:47 laptop kernel: [ 0.878014] EDD information not available.
May 23 11:13:47 laptop kernel: [ 1.000223] Clocksource tsc unstable (delta = -116434829 ns)
--
May 23 20:32:25 laptop kernel: [ 0.898544] rtc_cmos 00:03: setting system clock to 2009-05-23 18:31:46 UTC (1243103506)
May 23 20:32:25 laptop kernel: [ 0.898605] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 20:32:25 laptop kernel: [ 0.898652] EDD information not available.
May 23 20:32:25 laptop kernel: [ 1.000094] Clocksource tsc unstable (delta = -87870418 ns)
--
May 23 21:57:21 laptop kernel: [ 0.881484] rtc_cmos 00:03: setting system clock to 2009-05-23 19:56:41 UTC (1243108601)
May 23 21:57:21 laptop kernel: [ 0.881545] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 21:57:21 laptop kernel: [ 0.881597] EDD information not available.
May 23 21:57:21 laptop kernel: [ 1.000049] Clocksource tsc unstable (delta = -112215141 ns)

Sir Romanov (romain-couillet) wrote :

I have a reproducible pattern: on kernel 2.6.30-rc6, I get these

[ 0.881484] rtc_cmos 00:03: setting system clock to 2009-05-23 19:56:41 UTC (1243108601)
[ 0.881545] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 0.881597] EDD information not available.
[ 1.000049] Clocksource tsc unstable (delta = -112215141 ns)

everytime ONE second after boot. I attach lscpi, and a complete dmesg.

The patterns are highly similar :

May 23 10:21:14 laptop kernel: [ 0.881659] rtc_cmos 00:03: setting system clock to 2009-05-23 08:20:35 UTC (1243066835)
May 23 10:21:14 laptop kernel: [ 0.881720] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 10:21:14 laptop kernel: [ 0.881772] EDD information not available.
May 23 10:21:14 laptop kernel: [ 1.000146] Clocksource tsc unstable (delta = -112013565 ns)
--
May 23 11:13:47 laptop kernel: [ 0.877902] rtc_cmos 00:03: setting system clock to 2009-05-23 09:13:06 UTC (1243069986)
May 23 11:13:47 laptop kernel: [ 0.877963] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 11:13:47 laptop kernel: [ 0.878014] EDD information not available.
May 23 11:13:47 laptop kernel: [ 1.000223] Clocksource tsc unstable (delta = -116434829 ns)
--
May 23 20:32:25 laptop kernel: [ 0.898544] rtc_cmos 00:03: setting system clock to 2009-05-23 18:31:46 UTC (1243103506)
May 23 20:32:25 laptop kernel: [ 0.898605] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 20:32:25 laptop kernel: [ 0.898652] EDD information not available.
May 23 20:32:25 laptop kernel: [ 1.000094] Clocksource tsc unstable (delta = -87870418 ns)
--
May 23 21:57:21 laptop kernel: [ 0.881484] rtc_cmos 00:03: setting system clock to 2009-05-23 19:56:41 UTC (1243108601)
May 23 21:57:21 laptop kernel: [ 0.881545] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
May 23 21:57:21 laptop kernel: [ 0.881597] EDD information not available.
May 23 21:57:21 laptop kernel: [ 1.000049] Clocksource tsc unstable (delta = -112215141 ns)

Mark Grandi (markgrandi) wrote :

Since it appears that we have like 30+ people and no developers or anyone interested in fixing this bug, is it worth it reporting it on kernel.org? I think i read somewhere that this problem does not appear with any other distro though, so i am not sure on how far we would get with that...

Sir Romanov (romain-couillet) wrote :

@Polygon: Seems to me like a kernel issue indeed... Even if other distros do not suffer the consequences of this TSC instability, I would be surprised this is issued 1 second after boot by anything else but the kernel itself! So this must be reported indeed. If you wish to send a report, I'll follow your lead!

YS1 (www-salmon-yann) wrote :

I had the same problem (freeze seemingly related to network activity ; presence of the "clocksource tsc unstable" message) with Debian Lenny (minimum installation, no Gnome). Not entierly different, but still different.

RedSocrates (redsocrates) wrote :

I have no idea if this will actually be at all helpful, but I can tell you that it removed the "clocksource tsc unstable" lines from dmesg for me.

1) First, I checked the output of:

cat /sys/devices/system/clocksource/clocksource0/available_clocksource

to see which clocksources I had available on my system. (Some people will have hpet, some will have acpi_pm, some will perhaps have neither.) I had hpet, so I used that in the next step.

2) As others have suggested, I added the clocksource=hpet option (those who have acpi_pm but not hpet may try acpi_pm here; YMMV) to my kernel boot line in GRUB. I'm not sure whether this helped anything; in my case, dmesg still contained "clocksource tsc unstable" lines, so I wasn't satisfied.

3) I then saw the suggestion (here: http://fixunix.com/kernel/351423-re-clocksource-tsc-always-unstable-2-6-25-kernels-config_no_hz-y-my-box.html) that adding the nohz=off option to the kernel boot line might fix the issue. The kernel's default tickless mode can apparently (see here: http://fedoraproject.org/wiki/Common_kernel_problems) sometimes mess with the kernel's timekeeping abilities. The nohz=off option in the kernel boot line turns tickless mode off.

The last step makes it so that dmesg no longer outputs "clocksource tsc unstable lines" for me. I'll let you all know if this stops the system freezes, but it'll be hard to tell since they're so seemingly random. Anyone else who wants to try using this kernel boot option is welcome. :)

Sir Romanov (romain-couillet) wrote :

@RedSocrates: No, sorry... does not work for me. The TSC messages are indeed not issued, neither are btw the "hpet increasing" errors, but the system still stalls after a while.

I now have a systematic way to make it stall... 10min of high resolution (1920x1440) video playback of some movie (dunno why this one is so sensitive!). So now I can try all your suggestions in around 15min.

Btw, has anyone tried some alternative distro and can confirm for sure they do not have this issue? Debian Lenny/Squeeze? Fedore 10/11?

@ Sir Romanov: Well, I switched to ArchLinux (Kernel 2.6.29 x86_64). It shows some messages about tsc clocksource being unstable (just like Jaunty did), but it does not freeze!

And for further input - I've just migrated all my services across to non Debian (CentOS in this case) but using the same Kernel (2.6.29). I still get [ 13.154872] Clocksource tsc unstable (delta = -84025176 ns) but it's not keeled over for 24 hrs. If it lasts 72 hours without failure then I'll count it as functional - either way I'll report back here.

Considering Jaunty died circa 8 times in its last day (all related to load on my mail server) ... 24 hours of uptime is a luxury.

Kaar3l (kaar3l) wrote :

I added "clocksource=hpet"

uptime
 21:57:15 up 2 days, 8:06, 2 users, load average: 0.66, 0.45, 0.29

Seems to be pretty stable. :)

RedSocrates (redsocrates) wrote :

The last few comments (particularly Marc Domachowski's and dannyboy1121's) suggest that the issue may not be with "clocksource tsc unstable" after all (at least, not all by itself). I was going to suggest that the issue may have something to do with Ubuntu's non-vanilla kernels and their interaction with the clocksource issue, but YS1's most recent comment says that the problem occurs in Debian (I myself have used Debian and never experienced it, but the seeming randomness of the system freezes may explain that). In any case, like Marc and dannyboy, I've never experienced the problem in non-Debian distributions (my experiences have been with ArchLinux). I wonder if perhaps this is a Debian-related issue? (At this point, I'm basically at a loss, given that nothing is indicated in the logs, and the freezes happen seemingly randomly...)

@YS1: Out of curiosity, what kernel were you using with Debian when the freeze occurred?

I've experienced the errors on Ubuntu's 2.6.28-11-generic, and one of the Ubuntu mainline 2.6.29 kernels (I unfortunately can't remember which). Strangely enough, I am currently running Xubuntu 9.04 with 2.6.28-11-generic without any problems (yet). I'm also running Ubuntu 9.04 with mainline kernel 2.6.29-020629-generic (this is a different 2.6.29 kernel from the one that I can't remember) and haven't experienced any problems in at least 5 days. Very odd.

mnicky (mnicky) wrote :

I am using Ubuntu Jaunty 9.04. The freezes have begun just after fresh installation... I thought they are connected with Jaunty problems on Intel graphic cards... but after reading this...
Dmesg reveals "Clocksource tsc unstable (delta = -184814454 ns)"

I have also Debian Lenny on other PC - no freezes and no "tsc unstable"...

I'm starting to be pretty angry on Canonical... ;-) How can they release OS with so massive and critical bug? Or they simply didn't experienced these problems?

alcCapone (alcc) wrote :

After I enjoyed my very last freeze one minute ago I noticed that I have to add something:

My mouse still moves!

Of course I can't klick anything because really everything else seems frozen - like
- X
- leaving X and using a real console
- pressing CAPS or NUM LOCK...
- SSH-ing on the machine

But my moving mouse seems to accent my problem since all I read here includes frozen mice.

alcCapone (alcc) wrote :

Quote (mnicky):
"I'm starting to be pretty angry on Canonical... ;-) How can they release OS with so massive and critical bug? Or they simply didn't experienced these problems?"

I'm starting to have that opinion, too. Since I upgraded to Jaunty I'm also suffering from these bugs here:

 http://ubuntuforums.org/showthread.php?t=1134387
 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/379417

To me Jaunty really is disappointing.

RedSocrates (redsocrates) wrote :

Well, after days of uninterrupted use, I finally got a system freeze in Xubuntu 9.04. For me, this seems to happen most often when I am quickly moving between various open windows. Like alcCapone, my mouse typically still moves when the freeze occurs. My keyboard does not respond to CTRL+ALT+F1 (so I can't get to a tty), or to CTRL+ALT+backspace (so I can't kill X that way), but it *does* respond to ALT+SysRq+REISUB (which ultimately kills all processes, syncs data to the hard drive, and reboots).

The fact that (1) this occurs on various kernels and various *buntus, and that (2) the mouse and keyboard remain responsive while commands to the X server receive no response (windows do not respond to clicks, the server doesn't let me move to a tty or restart it with CTRL+ALT+backspace, etc.), suggests to me that the problem I (and alcCapone, and others) are experiencing is a problem with the new X server (1.6.0). I'm going to see if downgrading the X server fixes things.

IN THE MEANTIME, if the above is right, then this all suggests that there MAY be a workaround available, which unfortunately I neglected to try last time: when the freeze occurs, try ALT+SysRq+K. Theoretically, this should kill the X server. If the problem is indeed something with X, then killing it this way should break us out of the freeze. alcCapone, can you try this if the problem occurs for you again? (I am going to try to force a freeze to occur and see if this works for me, too.)

@YS1: Did your freeze occur when you were using X (even if not using GNOME)? If not, then perhaps we're talking about different problems here.

alcCapone (alcc) wrote :

Will try ALT+SysRq+K next time.

RedSocrates (redsocrates) wrote :

Ugh... <sarcasm>What's absolutely *awesome* is that there is apparently also a bug in Ubuntu that prevents ALT+SysRq+K from working, even though ALT+SysRq+REISUB does work!!</sarcasm> See here: https://bugs.launchpad.net/ubuntu/+bug/329644

So, unless the bug doesn't apply to you (you can test it while your X server is not frozen), you can't test what I suggested. I'm trying to get ALT+SysRq+K to work as it should, but until I can do that, I can't test it either. :-/ This is extremely annoying.

RedSocrates (redsocrates) wrote :

Well, I never figured out how to get ALT+SysRq+K working, so I downgraded the X server from 1.6.0 to 1.4.0.90 (the current X server for Hardy Heron). I can't get any freezes to happen yet (doing the same things that sometimes caused a freeze before), but I'll keep everyone posted.

ALT+SysRq+K does work for me. Tested is yesterday.

Polygon...
Oddly, this is black-box testing -- someone made changes to what appears to be a kernel support feature (even though the support crowd doesn't acknowledge). You think it is a tsc thing, cores never need to sync -- actually true fact is that they cannot sync. I suppose that log is informational only -- and anyone who says differently will tell you they 'believe in fairies'... even if some of us know they exist.

re-examine your system -- you started something, obviously is close enough to the standard roll-out as all of us, that is (by logic) triggering a non-standard kernel embedded sub-system that did not exist 'live' in Intrepid Ibez, and was standard on the jaunty jackalope rollout.

Those are the similarities I see.

purely random freezes... with my system, I get nothing.... but I'm a Windows Programmer, and (by default) don't know shit. I would imagine that the power of the event-driven OS is superseeding the requirement of a ALT-CTL-F1 and gain a login.

I know some people were talking about being able to use some REIS something ... to try to regain control... the kernel writers need to keep a 10% reserve for 'critical OS' determined messages... event driven sucks sometimes. but really you aim to create another version of XP without the funding, and following (software).... I have killed my Jaunty, and have gone back to 8.10. No worries, it will be good for many weeks -- but I love the improvements that I did experience!

mnicky (mnicky) wrote :

My mouse is also working and ALT+SysRq+K works for me, but I didn't tested it with freeze yet...
I also tried "clocksource=hpet" boot option and dmesg still gives "tsc unstable"... Im gonna to try "nohz=off"...

mnicky (mnicky) wrote :

Firstly, I dont know what to think about this, because yesterday I was getting freezes every few minutes and today I wasn't able to get any (only dmesg shows "tsc unstable")...

Now, with "nohz=off" option, dmesg shows no tsc unstability and no hpet errors. I also wasn't able to get to freeze even watching DVD and fullscreened youtube on the same time ;-) Very strange to me (especially after yesterday experience), but I hope that the issue is gone... I will post if anything changes...

RedSocrates wrote:
> The fact that (1) this occurs on various kernels and various *buntus,
> and that (2) the mouse and keyboard remain responsive while commands to
> the X server receive no response (windows do not respond to clicks, the
> server doesn't let me move to a tty or restart it with
> CTRL+ALT+backspace, etc.), suggests to me that the problem I (and
> alcCapone, and others) are experiencing is a problem with the new X
> server (1.6.0).

I tend to agree. I had big problems with X during installation. Live-CD
only worked in "Safe Graphics Mode" (SGM), so I had to install from
there and then again boot into SGM and edit the X11/xorg.conf file to
use the Open Source ATI driver (Xpress 200M), then reboot. But that
still didn't solve the problem. The window management was still wrong,
no panels, no buttons, no nothing. So with ALT+F2 I called up
gnonme-system-settings and looked at "display" options. It appeared that
NO screen was defined, it was greyed out. So I clicked on it and set the
resolution, rebooted and I finally had a desktop. I also cannot log out
(only reboot), if I log out the screen just blinks for a while and then
logs back in again. There are clearly problems with the X server.

Jaunty is a pile of shit for me so far. And there seems to be very few
new updates coming????? Has Canonical gone bankrupt? Are they still
working? Where are they? Who are they? What is Ubuntu? And does it have
a future?

The kernel I use with Debian Lenny is 2.6.26-2-686.

I am not entierly sure whether X was started or not (I do not even know if it is installed). How can I tell ?

RedSocrates (redsocrates) wrote :

@alcCapone: You said, "ALT+SysRq+K does work for me. Tested is yesterday." By this, do you mean that it worked to break you out of the freeze? Or do you just mean that it works for you in general, but you haven't been able to try it to break out of the freeze yet? If the former is true, then this *strongly* suggests that at least the problem you and I are having *does* have to do with X 1.6.0 (and/or its interaction with some other element of the Ubuntu 9.04 installation). This would also be a *bit* of a successful workaround, since it allows people to get out of the freeze without having to perform a hard reboot. Still not ideal, obviously, but it does help, and it does point us in a useful direction.

@YS1: Thanks. If X was started, you'd be able to access some form of a GUI rather than a mere command line.

I'm going to see if I can re-install X server 1.6.0 and get ALT+SysRq+K to break me out of a freeze, if alcCapone says that's in fact working for him. Maybe one of us can get a backtrace (see here: https://wiki.ubuntu.com/X/Backtracing) and figure something out.

mnicky (mnicky) wrote :

So it's here: "nohz=off" option doesn't work for me :-(
Few minutes ago I had lockup again. And I've found out, that "ALT+SysRq+K" doesn't solve the problem - it only brings up the blank black screen...

Sorry for disappointing you but it just works in general. Didn't have a
freeze until now... Am pretty sure it's not a long time to wait now ...

I let you now when I was able trying it. Greets.

I've just had a freeze last night.

My machine *reacted* on "ALT+SysRq+K".

After I pressed that combination a black screen with a wide blue stripe on the right side appeared including thin purple stripes and that screen stayed there.

So I tried that key combo for 5 additional times. After the 5th time a window appeared saying something like: "Ubuntu is running in low graphics mode". I klicked "OK" and so another window appeared asking hot to proceed. I chose to stay in low graphics mode but right after I klicked that the screen turned and remained black.

At least I was able to go to first real console (CTRL+ALT+F1). Graphics where screwed up but I was able to see that I was able to type although I couldn't see WHAT I was typing. So I blindly tried "/etc/init.d/gdm restart" which turned the screen into a light blue screen. After that I wasn't able to reach another real console again and I had to reboot anyway.

mnicky (mnicky) wrote :

To avoid misunderstanding: "nohz=off" option doesn't work for me as a workaround - it only causes no tsc unstability reported.

However, I find it interesting that my last freeze happened without tsc unstability reported, so I add my var/log/messages from time of booting till the lockup (and then "ALT+SysRq+K" and poweroff button).

Can anybody find there anything that can help us?

mnicky (mnicky) wrote :

My another questions are:

- Is there ANY DEVELOPER who is interesting in FIXING THIS BUG???
- Shouldn't be importance of this bug marked as CRITICAL?

brntoki (longtrashnjunk) wrote :

Nope! Complete freezes are not considered critical by Canonical. If Ubuntu-bug jumps out of the monitor and stabs you through the heart, then, maybe, it will be considered critical. Otherwise, we'll just sit back and watch you guys figure this all out for us. We'll then create a fix and hail ourselves as creators and maintainers of the best damn O.S. in the universe.

This crap is seriously sickening. What's the friggen purpose of launchpad?????????????????

Again! At least some ACKNOWLEDGEMENT! would help.

mnicky (mnicky) wrote :

Computer on which I encountered this bug belongs to my friend... If he wasn't a linux newbie, I would install him Debian... But now, I'm forced to revert it back to Intrepid unless this bug is solved... Bye Jaunty!

It's a shame for Canonical. To me it seems like they aren't interested in fixing this... (If it's not true, I apologize. However, until now it seems like they aren't...)

mnicky (mnicky) wrote :

Maybe I will consider installing him another distro (we have here also Fedora, Mint, PCLinuxOS, OpenSUSE ... and linux has always been the freedom of choice ;-) if things like this will happen also in the future Ubuntu releases...

Canonical should be very, very careful not to make users of Ubuntu angry...

bryncoles (brunomatti) wrote :

I'll wade back in.

alt-sysrq-reisub doesnt work for me when the computer freezes. nor does ctr-alt-backspace. alt-sysrq-k takes me to a black screen where i can do nothing but still perform a hard re-set. troubling.

i tried enabling proposed updates, and installing the new xorg drivers, and it made no difference.

freezes happen to me when im hot-plugging peripherals (usb mice, my laptops power cable, that sort of thing), doing heavy internet stuff or making swift uses of compiz - flitting quickly between windows.

having read on canonicals homepage that turning compiz off helps the issue, i have switched back to metacity as my windows manager (though im also contemplating moving to openbox now). having moved to metacity, ive been freeze free for almost a week now (and i only used to get freezes twice a week). touch wood!

the only things i miss from compiz are: scale (though ive replaced that with skippy-xd), and transparency (to peek behind active windows). transparency i can live without.

this is a showstopper-bug though! where are the developer resources to fix it?

RedSocrates (redsocrates) wrote :

Like a few of the others, I'm getting rid of Jaunty and heading to something else (not exactly sure what, yet). It's simply taken too long for any real hint of a solution to appear (except perhaps downgrading the X server from 1.6.0 -- I still haven't encountered any problems with 1.4.2 -- but that's not much of a "solution"). Some of the computers on which this bug occurs are "mission critical" for me, so I unfortunately can't contribute more time to freezing and bug-hunting at the moment.

Good luck to you all.

Oh, and bryncoles: the freezing happens for me even without compiz (in a rather minimal Xubuntu 9.04 installation). But hopefully what you've done will work for you, anyway!

RPHegde (rphegde) wrote :

I have been hit by this bug as well. It happens all the time when I run TORCS on anything more than 800*600 resolution. Sometimes whole system hangs and other times SYS key works. It also happens when I run googleearth (and open the options dialog box).
8.10 was rock solid. I thought of reverting back but I have reinstall the whole system - which is a time consuming process again.

Jamie (solowinter) wrote :

The freezes began for me immediately after upgrading converting my partitions from Ext3 to Ext4, but after speaking with other people in the Ubuntu forums, that seems to be more of a coincidence than a cause. Unfortunately, I picked a bad time to start using Ext4 since Ubuntu/Kubuntu's instability has meant data loss. Most of my freezes happen when I open Ktorrent, but it's not a consistent problem and isn't limited to Ktorrent. Yesterday I had a freeze while reading a web page in Firefox.

Transitioning back to Intrepid is too time-consuming. I am swamped with work right now so I don't have the time to do it and I don't have the time to keep dealing with these freezes when I should be working. If I'm going to take the time to reinstall the OS, I'm going to install Debian or something more stable or at least a distro where bugs like this are high priority. I've been using Kubuntu for more than 2 years (since Edgy) without a reinstall so if I'm going to do one I'm doing so with the expectation that I'm in for the long haul with the distro. And this current mess does not give me much faith for future Ubuntu releases.

mnicky (mnicky) wrote :

I've just find, that on my newly installed Debian Lenny dmesg shows "Clocksource tsc unstable (delta = -233324728 ns)". But I have no real problems, no lockups etc. So I've started thinking that maybe "Clocksource tsc unstable" isn't connected with this bug (and freezes) in no way...

This would also explain the fact that (on my previous Kubuntu) after "clocksource=hpet" boot option the message about "Clocksource tsc unstable" disappeared, but freezes continued...

What do you think about this? And if so, shoudln't be also the title of this bug report changed to previous?

RedSocrates (redsocrates) wrote :

@mnicky and others: I'm now basically certain that this bug has nothing to do with the "Clocksource tsc unstable" messages; the title of the bug should probably be changed. After I added "nohz=off" to the kernel boot line, the freezes still occurred; others who followed suit had the same results. Furthermore, I've removed that line from the kernel boot line, and have still managed to apparently solved my problem (and right before giving up!).

I solved my problem by following some of the later suggestions found here: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/359392. Specifically, I increased my "Virtual" numbers in /etc/X11/xorg.conf, and I applied Albert Damen's debdiff patch. If any of you are using intel graphics cards and the xorg -intel driver, I strongly suggest that you read through that (enormous) bug report, *particularly* if you have the following card (around which that bug report is centered):

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 03)

In fact, that bug report may be a duplicate of this one. I'm not sure how or whether the bug being described here affects non-Intel cards. Good luck!

Jamie (solowinter) wrote :

@RedSocrates

I'm using an ATI Radeon 9000 (RV250) graphics card, so the problem isn't limited to Intel cards. I've seen a lot of people also suggest that it may be related to Compiz, but I'm using Kubuntu with KDE 4.

jackp (jackpommer) wrote :

I used KernerCheck to upgrade the kernel (http://kcheck.sourceforge.net/) and I haven't had a problem since. And, as a bonus, the new kernel supports Sony memory stick readers.

One confounding thing, though. At the same time I removed Firefox 3 and installed the Beta of 3.5. I think it was the kernel upgrade that solved the problems, though.

jack

RedSocrates (redsocrates) wrote :

@Jamie: You (and other ATI users) might look here: https://bugs.launchpad.net/fedora/+source/xserver-xorg-video-ati/+bug/348332.

I can confirm that both of the bug reports to which I recently linked (including the one just linked) have solved the problems for me. One of my machines uses xserver-xorg-video-ati, and another uses xserver-xorg-video-intel. As the bug report that I just linked suggests, the problems with my ATI machine were solved by upgrading to a 2.6.29 kernel. As the other bug report that I linked to in my previous comment suggests, the problems with my Intel machine were solved by increasing the "Virtual" size in my xorg.conf file and by applying Albert Damen's debdiff patch.

I think the reason why this particular bug that we're commenting on right now hasn't received much attention is that it is not at all specific, so it's hard for anyone to do anything about it. The specific reports I've mentioned should (hopefully) help Intel and ATI users, though.

As always, YMMV.

Zugol (franck-jeandinot) wrote :

I got a nvidia 8500gt and I was affected by the bug in jaunty every five minute until I change kernel to 2.26.9 (found via ubuntu kernel team packages). The bug appends now 1 time a week. Actually I'm thinking there's several reason/hardware that make the system unstable but until intrepid (and for other distro), this kind of problems was correctly managed. So you can compare your hardware or your syslog, you won't find the real reason that makes your ubuntu crash... So, by changing the kernell, I think I have fixed 99% of bugs but not the freeze/crash himself....

Give a try to this : http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29.4/

It wont fixe the carsh/freeze but help you to dodge it...

Sorry for my English, I'm not fluent.

Help this can help

Regards

RPHegde (rphegde) wrote :

2.6.29.4 works for me. Thanks. I have radeon drivers on mobility radeon 9600 - rv350 (m10)

Following up from a previous post - use of the same Kernel (2.6.29 direct from kernel.org) on a different distro (switched across to CentOS) immediately cured the problem for me. It would appear this is not Kernel specific - more to do with the latest Ubuntu distro. Good luck finding the issue - I'm off to bathe in the goodness of several days unfaltering uptime.

RPHegde (rphegde) wrote :

OK now, the laptop does not resume after suspend and just hangs. Not sure where to go from here. Anyone else saw this problem with 2.6.29.4 ?

Zugol (franck-jeandinot) wrote :

I think kernel from kernel-team does'nt support restricted modules. For me this is my VFD. Is it possible that the freeze is caused by restricted modules ?...

RPHegde (rphegde) wrote :

I do not have any restricted modules. It installed 2.6.30 RC kernel and it resumes fine. (But it is like going back to 2.6.28 - computes hangs randomly)

alcCapone (alcc) wrote :

Got a new laptop at work last week (T61p), installed Jaunty ... now suffering from a *similar* bug. System freezes like before but some things are different than on my X60s (see above):

- Mouse is frozen, too
- Key kombo "ALT+SysRq+K" did not cause any reactions

Btw: This is a laptop qith an NVidia graphics card.

$ lspci | grep -i nv
01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 570M (rev a1)

Maybe we should split this bug report into
- "Intel" vs "NVidia" or
- "Mouse frozen" vs "Mouse not frozen" or
- "Machine reacts to ALT+SysRq+K" vs "Machine does not react tp ALT+SysRq+K"

Any comments?

alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
alcCapone (alcc) wrote :
Jungle Boy (mowgli80) wrote :

I moved to nvidia driver 180.60 and its no longer freezing :) ... apparently there was a regression in 7 series cards which was fixed in 180.53.

mahikeulbody (mahikeulbody) wrote :

I removed the nvidia driver and it is freezing still.

So there are two possibilities :

- this thread is talking about differents freezing bugs
- it is the same bug but changing things (kernel, driver, ...) changes the probability to get the bug

As an example of the last possibility, people who have installed the kernel 2.6.29 have dramatically reduced the frequency of the freezes but continue to have some freezes.

alcCapone (alcc) wrote :

Today - on my machine with the intel graphics chip - I experienced a second freeze that again stood out a little. Luckily a camera was in grabbing range :P

This is the second freeze in a row that happened while activating the compiz scale feature. All the other freezes before I just can't remember. It might be that these all have been "scale"-related, too.

While my computer was frozen I tried the obligatory key combo "alt-sysrq-k" it took about 30s and the well known reaction happened: Screen is black with a thick blue stripe on the right side. See here http://pkqs.net/~cf/small-IMG_1303 .

After pressing "alt-sysrq-k" several times this known window appeared: "Ubuntu is running in low graphics mode" - also saying: "(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel". See here http://pkqs.net/~cf/small-IMG_1304 .

Then another window appears asking you what to do. See here http://pkqs.net/~cf/small-IMG_1305 . I chose "Exit to console login". This put me on tty1 but totally screwed up - I wasn't able to type something blindly. See here http://pkqs.net/~cf/small-IMG_1307 . Going back to the console where gnome was running on showed this here http://pkqs.net/~cf/small-IMG_1308 .

After pressing "ctrl-alt-backspace" my computer performed a shut down.

Any reactions on this?

alcCapone (alcc) wrote :

After thinking a little about that line here:

"(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel"

I remembered that I manually added some proposed lines to my xorg.conf that I read about in a Howto dealing with that Intel driver performance loss:

Section "Device"
 Identifier "Configured Video Device"
 Option "AccelMethod" "uxa"
 Option "EXAOptimizeMigration" "true"
 Option "MigrationHeuristic" "greedy"
 Option "Tiling" "true"
EndSection

I will remove them and see if that changes anything. Anyone else added some/all of these lines?

Mark Grandi (markgrandi) wrote :

i don't have an intel card, nor do i have those lines added

furthermore, i am fed up with the lack of a single response from any ubuntu developer, or really anyone who knows anything about the kernel. Heck, no one has even triaged this bug yet. I was tired of my computer crashing whenever i was doing something important or time consuming, so i have moved to arch. I shall still try to answer any questions though.

Just for the Ubuntu developers and maintainers to know... thanks to their
lack of responsivity, I also join the "Ubuntu to ArchLinux" trend.

On Sun, Jun 7, 2009 at 1:52 AM, Polygon <email address hidden>wrote:

> i don't have an intel card, nor do i have those lines added
>
> furthermore, i am fed up with the lack of a single response from any
> ubuntu developer, or really anyone who knows anything about the kernel.
> Heck, no one has even triaged this bug yet. I was tired of my computer
> crashing whenever i was doing something important or time consuming, so
> i have moved to arch. I shall still try to answer any questions though.
>
> --
> Clocksource tsc unstable leads to lockups in Ubuntu Jaunty
> https://bugs.launchpad.net/bugs/355155
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> Ever since i installed jaunty, randomly my computer would just freeze, and
> even a alt+f1 or a alt+sysrq+reisub would not do anything, so i assume its a
> kernel problem. This just happened right now, and i had to restart my
> computer, so i ran 'ubuntu-bug linux' the second i restarted. Maybe it will
> provide some insight to the problem?
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> MachineType: System manufacturer P5Q-PRO
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.28-11-generic 2.6.28-11.40
> ProcCmdLine: root=UUID=d9574ed9-a697-45be-b773-ad8a81d79b6b ro quiet splash
> vga=792
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.40-generic
> SourcePackage: linux
>

Since this here is too much of a mixture of different graphic cards/chips (Intel, ATI, NVIDIA) and different behaviors (mouse also/not frozen) I opened another bug report only for Intel graphic chips here: https://bugs.launchpad.net/ubuntu/+bug/384490.

Bye. Christian.

Zugol (franck-jeandinot) wrote :

Now this problme affect my computer sine more than 1 month and there is more than 40 people affected / suscriber here.
Could it be possible that a full system crash will be less critical than f-spot crash with large picture ? Compiz problems affecting 2 people ? Rythmbox abnormal exit on tagging ?
Is this bug tagged as unvisible ?

Jet (poekie) wrote :

Here the same: random system freezes

kernel 2.6.28-12-generic
video: NVIDIA FX5200, driver 173.xx
cpu: Intel pentium 4 3.2GHz

thinking about degrading back to 8.10 as this is the last problem which makes my system unusable... my sound stopped working, my kontact crashes without reason, weird stuff with /tmp directories.. I have been using jaunty for 5 days and not one problem free day among them. This system debilitating bug not being noticed by developers is the final straw. Maybe I'll try another distro.

alcCapone (alcc) wrote :

Plz, everyone that suffers from these freezes and is using an *Intel graphics chip* join this bug report here - I now can reproduce the freeze on my system!!

Don't forget to subscribe and to click "This bug affects me too". PLz comment if you can reproduce the freeze, too.

Thx, Christian.

> Plz, everyone that suffers from these freezes and is using an *Intel
> graphics chip* join this bug report here - I now can reproduce the
> freeze on my system!!

https://bugs.launchpad.net/ubuntu/+bug/384490

Sorry ... just forgot.

384490 is really a dup of this, i know its a spin-off. But its important to keep all of them in one place for the time being. The devs will open up bugs for the different chipsets if they feel necessary. The important thing if that you've filed a bug report. Thanks for that!

GeekBoi (chutchin) wrote :

I to am running into this issue. The application that seems to be the main culprit for me seems to be OpenOffice Calc. I have upgraded to OOo 3.1 from a PPD I found in the forums in an attempt to resolve the problem. It did not. When I run it I can almost count on the machine locking up within an hour. The kernel and network stack seem to remain up as I can usually ssh in and get a clean reboot when I have another machine to do so from.

My machine is an HP EliteBook 6930p. I am running 9.04 64 installed from the alternate install with LVM partitions for /usr and /home. I have installed the ATI binary drivers.

I have attached the output of lspci -vvv.

I too would like to know why this has not been given any kind of priority rating based on the reports of data loss. Is there anything we the users can do to get this moved up. As it stands I have to revert back to 8.10 as I can not work with a machine that locks up several times a day on average.

Charlie

I have filed a different bug (bug #384884) that might be a duplicate of
this one.

However, the main difference is that my system unfreezes after 5 to 15
minutes or ugly freezing. It looks like a lockup though.

I would like to know if anybody can test this and see if your system
unfreeze too.

Thank you.

well, i just had a freeze while not running compiz. balls! first in a fortnight though, i was coming out of hibernation, the screenzaver came up before i logged in, i tapped the touchpad quickly to disturb the screensaver... and freeze!

on a dell inspiron 1525n running pre-installed ubuntu, upgraded from 7:10-8:04-810-9:04.

alcCapone (alcc) wrote :

Not that anyone claimed that but upgrading from xserver-xorg-video-intel 2:2.6.3-0ubuntu9.2 to xserver-xorg-video-intel_2%3a2.6.3-0ubuntu9.3 does not solve the problem.

KeithR (keith-richardson) wrote :

This affects me too. Regular freezes with complete computer lock-up needing a hard re-start. Very high CPU loading when viewing video on-line. Last line of logs always refers to tsc clocksource unstable
Reading the various logs and boards this has been going on for far too long. I'm seriously thinking of reverting to 8.04 as this was rock solid. When it first happened I assumed it was something to do with my ATI video card so I went out and bought an Nvidia card. Still happens.
-Computer-
Processor : 2x AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Memory : 2034MB (516MB used)
Operating System : Ubuntu 9.04
OpenGL Renderer : GeForce 9400 GT/PCI/SSE2
Kernel : Linux 2.6.28-11-generic (x86_64)
Desktop Environment : GNOME 2.26
X-ORG Version : 1.6.0
Video:
Vendor : NVIDIA Corporation
Renderer : GeForce 9400 GT/PCI/SSE2
Version : 3.0.0 NVIDIA 180.44

The importance of this bug needs to be raised to critical. There was a time when I would have recommended Ubuntu as a Windows alternative - no longer, at least not 9.04!

Tom Metro (tmetro+ubuntu) wrote :

Pit. wrote on 2009-04-04:
> It appear after update from 2.6.28-6 on 2.6.28-8 kernel and upper.

Has anyone tried reverting to an older kernel?

It's been established that video hardware is not the common link for these symptoms, but a hardware commonality seems likely. If it was just a general problem with the kernel, thousands of users would be affected instead of hundreds. Lets see if we can spot a commonality. Please run following commands:

( uname -r ; echo ; lspci -k ; echo ; lsmod ) > /tmp/drivers.txt

and post drivers.txt as an attachment. (If the data is collected consistently, a bit of Perl scripting should be able to produce a report of any commonalities.)

I see I have this:
Ethernet controller: Attansic Technology Corp. L1e Gigabit Ethernet Adapter (rev b0)
in common with the original poster, but I'm not actively using the wired Ethernet on the affected machine. My suspicion was more towards the Intel wireless controller driver, as wireless has become flaky since upgrading to 9.04, but the OP has an Atheros wireless controller.

Kaar3l (kaar3l) wrote :

I thought that i cured the freeze, but it striked again.

Here is mu drivers.txt

  • drivers.txt Edit (4.4 KiB, text/plain; charset=US-ASCII; name="drivers.txt")

I have been freeze free for about two and a half days now, but a flatmate
was freeze free for five days so I don't really get my hopes up :(

My drivers.txt is attached.

2009/6/10 Kaar3l <email address hidden>

> I thought that i cured the freeze, but it striked again.
>
> Here is mu drivers.txt
>
> ** Attachment added: "drivers.txt"
> http://launchpadlibrarian.net/27719331/drivers.txt
>
> --
> Clocksource tsc unstable leads to lockups in Ubuntu Jaunty
> https://bugs.launchpad.net/bugs/355155
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have made a fresh install. ndiswrapper has not been installed (and the wireless card therefore not used). The system ran fine for hours, but froze when I connected the (wired) network and did apt-get update / apt-get upgrade.

bryncoles (brunomatti) wrote :

just had another freeze. once again, its an intel chipset, and with compiz disable. it was 'recovering' from the lockscreen / screensaver mode, and locked up completely.

alt-sysrq-k provided a partial recovery, enough for ctl-alt-backspace to log me out, which further partially recovered enough for me to be able to reboot form the terminal, as nothing on screen was displaying correctly, or indeed in a readable manner.

what do we have to do to get a bugfix round here?

KeithR (keith-richardson) wrote :

Here's my drivers.txt file in response to Tom Metro's suggestion.

Same issues here, system freeze randomly:
-mouse locked
-alt+sysreq+reisub don't work

This is how I reproduce the freeze;
-right click on network-manager icon
-untick the "Enable Networking" case

Since I'm using an atheros wifi card, I've removed the ath5k driver and replaced it with the madwifi driver.
Since then no more freezing (uptime: 11hours) and unticking the "enabling network" in network manager don't freeze the system anymore.

Ubuntu 9.04 64 bits Kernel 2.6.28.11
CPU: intel q6600
Memory: 2Gb (memtest ok)
MB: Asus P5K SE
Video: nvidia 9600 gt +180.44 from repos
Atheros wifi card using wireless connection

Hope I can help
Hacene

Zugol (franck-jeandinot) wrote :

Here is my drivers.txt

Well, Fedora 11 turned out to start freezing as well after all.

So, I've reinstalled Jaunty to help figure this out.

In the meantime, I've regressed back to XP just so I can have a stable machine.

I'll try Arch or Mandriva, etc... when I have time.

Chem. Imbalance wrote:
> In the meantime, I've regressed back to XP just so I can have a stable
> machine.

If your machine ran stable with 8.10, wouldn't that be the logical OS
and version to regress to if you're having problems with 9.04?

Another premiere: Just had my first freeze while plugging an USB mouse in - while I was watching a video with gmplayer. That's by now the only thing all my freezes have in common: watching a video.

alcCapone (alcc) wrote :

Another premiere:

Just had another freeze without any video involved. I was just surfing the site www.xing.com

I too had freezes with Jaunty. It would boot into Jaunty fine, but once it had been up for about a minute, it would freeze. It didn't matter what I did or didn't do. I could let it boot up and then just sit back and relax and it would freeze. The only thing I could do was reset the computer. I've downloaded the new kernel, 2.6.29, and now everything is working just fine! I haven't had one freeze in 24 hours.

laysan_a (laysan-a) wrote :

Hi.

Bugs 359392 and 352373 seem similar to me...you might want to look them over too, if you haven't already (though nothing really definitive there either).

My freezes seem to occur without regard to the program being used at the time. I've had them in firefox, vlc, abiword, while network manager was connecting the wireless, while alsa was initializing. I may be having more than a single kind of hang-up. One kind occurs completely unexpectedly. I touch something, a mouse wheel, click a box, or even touch nothing at all during boot, and the screen goes black (or the dominant window color), usually there isn't even a cursor left. The other kind involves a single program getting hung-up, with heavy constant processor use and rapid rise in internal temperature. If I can terminate the program everything returns to normal. This has happened twice that I know of, once when I opened a document in abiword, and, strangely, just after I closed out a flash video, in firefox.

Though my freezes are not limited to video applications, I have noticed something strange related to videos in this new installation. I can play videos, both avi and dvd in full screen from the desktop, even while firefox is running in the taskbar, but videos streamed through firefox run slow and out of synch in full screen, both flash and avi. It doesn't seem related to bandwidth.

Here is my drivers.txt

I haven't changed anything in my installation except that I removed fglrx (ati graphics driver), which wasn't working properly either.

MB:ASUS M3A78-EM AM2+/AM2 780G HDMI, Proc: Athlon 64 X2 5000+ Brisbane 2.6 GHz 2x512KB L2 Cache, Graph: Int. ATI Radeon HD 3200, Aud: Int. Realtek ALC1200 8 channels, Ram: 2GB Corsair XMS2 DDR2 800 SDRAM, Monitor: Dell SE198WFP 19" Wide FPM

I just installed the 2.6.30 kernel that was just released.

Everything is working great now and no more freezes so far.

I've only had it installed for a day, but no problems yet.

Everybody give it a shot: http://kernel.ubuntu.com/~kernel-ppa/mainline/

sarton85 (sarton85) wrote :

Ubuntu hard locks ever since Hardy came out last year.

I did never experience it before. Hardy was terrible it locked almost every 5 minutes. I dropped Hardy and went back to Gutsy. Intrepid was a lot better, but still hardlocked sometimes. After one month I went to Debian Lenny. Two weeks ago I tried the new Jaunty (which i'm still using now), which also hardlocks on me, for about once every two days.

The hardlocks are very random, similar to my experience with Hardy. There doesn't seem to be any connection with the programs I use, nor to the kernel, nor to my Nvidia card. Jaunty sometimes even hard locks during installation.

I don't feel happy about the hard locks still excisting. I left Window$ and wanted stability. Ubuntu innovated a lot in the last three years, there are a lot of changes I feel very happy about, but Ubuntu just doesn't seem to be stable anymore.

I have attached my lspci, if you need any more info, just let me know

NightWolf (zsolt-erhardt) wrote :

@Chem. Imbalance: tried, but still got it frozen.

I had the same problem with Jaunty, so I grabbed the Karmic Koala Alpha 2 (I know it's not recommended, but I had nothing to lose, or at least I thought so). During the installation, Ubiquity crashed several times, but somehow, it went through the process until 94%. Then it just crashed and nothing happened. I restarted the machine and accidentally it booted the fresh installation (later on I realized, that my entry for Windows XP was gone). It was working fine, so I thought maybe I shall give it a shot. Now it's up for 52 min already, and still no problem encountered.

However, when I went through this topic, reading the comments and the attached files of lspci, I realized, that most users encountering this problem uses ASUS or Intel motherboards, and it uses a kernel module name intel-agp. I'm not a genius, nor a professional programmer, but wouldn't it be possible, that this module is the wrong one?

Anyway, I'm attaching my report also.
System spec.:
ASUS P5Q PRO motherboard
Intel C2D E8400 CPU
2 GB RAM
ASUS EN7300GT video card

Unhban (david-norris) wrote :

Could this be a problem that is only very partially to do with the distro, but to do with the PC itself? For example, if the power supply is being overloaded at times (e.g. a new graphics card has been added that takes a lot of power), could glitches from the PSU be getting to the processor? Or something else to do with the PC that's not happy.....

I've had freezes with Windows and Ubuntu with this PC, sometimes not for ages and then suddenly they start and come all at once (like buses - pardon the pun) :)

However, I must say that moving to 2.6.30 a few days ago, and using Ubuntu 9.10 which did have problems before then with 2.6.28, the freezes seem to have now disappeared.....

AMD 1.33GHz / 767Mb Ram
Nvidia GeForce4 MX 460

Unh.

Unhban (david-norris) wrote :

Sorry, in the above the version of Ubuntu I use is 9.04....

Unh.

YS1 (www-salmon-yann) wrote :

Using the 2.6.30-020630 kernel does not solve the problem in my case (same symptoms exactly).

Rian (dennis-scheck) wrote :

Same thing is happening to me ever since I upgraded my notebook to jaunty.

Interestingly it doesn't happen on my desktop where I'm still running a 2.6.27-14 kernel because I can't get the nvidia drivers running on a newer kernel by dkms, but that's a different story...

Symptoms on my notebook (kernel 2.6.28-11 / intel video card):
System freezes about three to four times a day. Keyboard isn't responding anymore. Neither switching to consoles possible, nor killing X by CTRL-ALT-BACKSPACE, nor SYSREQ-EISUB ...

Mouse pointer can still be moved(!) so picture is not entirely frozen, but clicking shows no effect.

Login by ssh is still working, but killing X, or restarting kdm doesn't change anything on the screen.

When I shut down the system, the frozen screen stays on till the machine actually reboots. So there is no shutdown message, or the typical progress bar when shutting down.

For me it seems like an problem with the graphics driver, because I still can use ssh and work on the machine.

I would love to see this bug resolved very fast because it's bothering me quite much.
If you need further information, it would be a pleasure to provide it to you. Since I can still ssh on the machine when the local screen is frozen, I can also send the output of some commands right when it's happening. If this could help ...

Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged

Forget it. 2.6.30 is freezing for me now.

This is bad.

laysan_a (laysan-a) wrote :

Yep, I installed 2.6.30 too, and it's freezing to black as much as it ever was.

I'm very happy to see that some developers will be looking at this issue now. Hopefully soon...

Manoj Iyer (manjo) wrote :

Does the main line kernel fix this problem ? https://wiki.ubuntu.com/KernelMainlineBuilds ?

Changed in linux (Ubuntu):
assignee: nobody → Manoj Iyer (manjo)
Sir Romanov (romain-couillet) wrote :

I've tried many of those kernels from mainline (last in date 2.6.30) and they all prove buggy. What's more, with the time passing by and the new Intel drivers/Ubuntu kernels begin available, the problem is even more acute to my own experience, i.e. I can no longer watch a fullscreen (1440x960) video more than 2min before the computer stalls.

Manoj Iyer (manjo) wrote :

Can someone please try the kernel in http://people.ubuntu.com/~manjo/lp355155-jaunty/ and report if that fixes the problem ?

@Manoj: nope, same issue after 1min of video playback, my computer is
heavily lagging...

Manoj Iyer wrote:
> Can someone please try the kernel in
> http://people.ubuntu.com/~manjo/lp355155-jaunty/ and report if that
> fixes the problem ?
>
>

Sir Romanov, are you able to ssh to your system after it freezes ?

Can you please take a look at this wiki page and see if your video card falls in this category ?

  https://wiki.ubuntu.com/X/Troubleshooting/Freeze
  https://wiki.ubuntu.com/X/Bugs/IntelDriver

Manoj Iyer (manjo) wrote :

If you are experiencing X Freezes on i965 can you please try

https://edge.launchpad.net/~bryceharrington/+archive/purple

this seems to fix X freeze for a lot of ppl, it is currently in jaunty proposed I think.

@Manoj,

My system does not "freeze" as such, but it becomes quickly very very
slow until it finally freezes if I keep running "heavy" applications
(heavy = mplayer in full screen...). My video card is:

VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
Integrated Graphics Controller (rev 07)
(as already mentioned, the problem got even worse with the last driver
versions, e.g. 2:2.6.3-0ubuntu9 or currently:
2:2.7.99.901+git20090615.3da549f5-0ubuntu0sarvatt~jaunty)

When the problem occurs (perceptibly at least it, when the system slows
down), the first symptoms appear in the dmesg as:
CE: hpet increasing min_delta_ns to 15000 nsec
CE: hpet increasing min_delta_ns to 22500 nsec

at this point, everything is so slow I have to hard reboot.

I'll try some of the options suggested in the WiKi.

Manoj Iyer wrote:
> Sir Romanov, are you able to ssh to your system after it freezes ?
>
> Can you please take a look at this wiki page and see if your video card
> falls in this category ?
>
> https://wiki.ubuntu.com/X/Troubleshooting/Freeze
> https://wiki.ubuntu.com/X/Bugs/IntelDriver
>
>

Quoted from someone... "I've tried many of those kernels from mainline (last in date 2.6.30) and
they all prove buggy."

Nope, I've run 2.6.30 for four days now and not one freeze. I am SO satisfied.

Unh.

Thomas Pifer (zero456) wrote :

Since the idea was put forth that X.org may be at fault, perhaps a listing of what graphics card and/or driver version numbers you are using should be included as well.

I moved to Debian Lenny yesterday and upgraded to "Testing" rolling release.

I compiled 2.6.30 from Debian's kernel source and all is running smoothly.

I'm probably going to stay with Debian indefinitely if everything continues smoothly.

^^ I meant definitely not "indefinitely".

Anyways, @ Thomas Pifer

I'm running an onboard nVidea 8300 on an Asus M3N78-PRO motherboard.

Jamie (solowinter) wrote :

I've got an ATI Radeon 9000 RV250 card. I'm running Kubuntu 9.04, so no Compiz for me (since a lot of people seem to think that is the problem).

@ Chem. Imbalance: I'm leaning toward switching to Debian, too. I've been a Kubuntu for about 2.5 years now but this bug (and lack of acknowledgement or resolution) has really soured my support for Ubuntu. I've lost way too much time dealing with reboots and lost data as a result when I should have been working on the projects I get paid to perform.

laysan_a (laysan-a) wrote :

@Manoj

I will try the mainline kernel (the .30) and let you know. If it fails (when) I will report back here and install your .28 kernel and see how that does. If there is a change in your plan, or if you want anything more from me, let me know. Keep in mind though that I am still fairly new to linux and pretty much ignorant when it comes to the terminal.

So far today I have not had a freeze.

MB:ASUS M3A78-EM AM2+/AM2 780G HDMI, Proc: Athlon 64 X2 5000+ Brisbane 2.6 GHz 2x512KB L2 Cache, Graph: Int. ATI Radeon HD 3200, Aud: Int. Realtek ALC1200 8 channels, Ram: 2GB Corsair XMS2 DDR2 800 SDRAM, Monitor: Dell SE198WFP 19" Wide FPM

VastOne (vastone) wrote :

I am beginning to believe this an overclock or a over heating issue.

My system(s) are identical images. I have a Phenom 940 Black that has run stable for 4 months. When a customer defaulted on a 955 Phenom chassis with the same specs (except the 955) I kept it and imaged the 940 to the same exact drive on the 955

Both ran great for 1 month.

Then I got into overclocking. The 955 has handled everything I have thrown at it and as never frozen. It also maintains a very good core temp of 44

Since an Update Manager update one week ago, the 940 has done nothing but freeze and/or reboot with no discernible pattern. It could happen in 45 minutes, 4 hours or 10 hours. It could happen with only term running 20 apps running or nothing at all sitting completely idle.

Until today. I turned off the overclock on this 940 and have seen stable system again. My core temp with the over clock on was a wierd one. Using gKrellM I would see core 1 and 3 at 41-42 but core 2 at 51-53. Overclock off now I see all core temps at 39-40

The only other thing I can add to this is that I am getting the gdm_slave_xioerror_handler in Xorg after a freeze/reboot.

And that since that same update a week ago, on both machines, neither monitors go into a dark mode with inactivity like they used to.

I am running kernel:

2.6.29.4-candela #1 SMP Tue May 26 22:26:20 CDT 2009 x86_64 GNU/Linux

I stay completely updated.

In both machines I have the same make and model nVidia 9500 GT running driver 185.18.14

Hoping some of this helps....

Whatever you need from me to assist, let me know

Sir Romanov (romain-couillet) wrote :

@Vast One: I somehow came to the same conclusion yesterday! While trying to update my BIOS (which I never managed due to yet another ubuntu issue...anyways), I had to restart my computer quite often (Dell E6400). In doing so, the system froze, or at least went very slow, even before doing entering KDE (usually the problem appears with video playback under KDE), and it was impossible to make my computer work all night! I tried 2h and then realized the computer was extremely HOT! This morning everything is back to normal.

@Manoj: Do you think this might be related to some power management issue or overheating/overclocking? So now, a way to reproduce the problem on my Dell E6400: hard reboot it every minute, then it will be hot and will freeze be slow after less than 60s uptime.

Let me know if you need anything else.

laysan_a (laysan-a) wrote :

@Manoj

"I will try the mainline kernel (the .30) and let you know. If it fails (when) I will report back here and install your .28 kernel and see how that does."

I'm sorry, I don't think I'm going to be much help with the issue of freezing to black. I installed the 2.6.29-5 mainline generic kernel and I messed-up my system somehow. I think it must have been while I was trying to roll-back my x installation. In any case, my xorg.log says that my radeon driver is failing to open DRM.

Now my system is showing symptoms sounding very similar to those of Sir Romanov. It's very sluggish, even window scrolling in Firefox is choppy - and forget watching a video, even in a little screen (streamed). My temps are up, and xorg is using a lot of processor time (10 - 20% with only a couple of windows open). If I try to stream a video, the system will become so sluggish that the desktop will slow to a stop, with little or no input accepted or output given - even the plasma cpu monitor will freeze and the graphical volume slider will refuse to work.

This is completely unlike my experience of the system freezing to black, which happens suddenly, unexpectedly, and without apparent change in system temp. If you've read any of my posts, here and elsewhere, you know that I did experience symptoms similar to what I'm experiencing now, ie. freezing of a program with a rapid rise in temperature and a return to normality when the offending program is terminated, but those freezing programs were uncommon on my system.

I doubt it is the .29-5 kernel, since I have read of many others using this kernel without issues - but it could be, I suppose. I'll boot into another kernel and see...

So far I have had no freezes to black today. Oh, I always have desktop effects disabled.

MB:ASUS M3A78-EM AM2+/AM2 780G HDMI, Proc: Athlon 64 X2 5000+ Brisbane 2.6 GHz 2x512KB L2 Cache, Graph: Int. ATI Radeon HD 3200, Aud: Int. Realtek ALC1200 8 channels, Ram: 2GB Corsair XMS2 DDR2 800 SDRAM, Monitor: Dell SE198WFP 19" Wide FPM

Unhban (david-norris) wrote :

Since going to 2.6.30 kernel about a week ago, I still don't get any crashes/freezes. I see in the 2.6.30 CHANGE.LOG that there's this:

Eric Dumazet (1):
      r8169: fix crash when large packets are received

Unh.

Jamie (solowinter) wrote :

@Unhban: That's been my experience. I haven't had a freeze since upgrading to the 2.6.30 kernel several weeks ago.

It's unfortunate I had to find the fix outside of the Ubuntu repositories, but that seems to be consistent with the way Ubuntu has been failing to handle this bug. It took something like 2 months for this thing to even be triaged and given some priority. In the meantime, thousands of Ubuntu users have been dealing with freezes and, if the forums and Twitter are any indication, a lot of people have left Ubuntu for other distros as a direct result of this bug. Once I can clear out a few days, I'll probably jump to Debian after 2.5 years of being a happy Kubuntu user.

Kristijan (jelenk) wrote :

I did fresh install 9.04, and update after installing nvidia drivers. And don`t have freezes anymore(4 day). How, i don`t now. Before i tried upgrade from 8.10 to 9.04, clean install, new kernel, upgrade from 9.04 to Karmic and nothing help`d until now when i did clean install for the second time from the same cd as first time installation (i even used my old /home partition).

This is my bug report i hope it helps https://bugs.launchpad.net/ubuntu/+bug/376415

Manoj Iyer wrote:
> Can someone please try the kernel in
> http://people.ubuntu.com/~manjo/lp355155-jaunty/ and report if that
> fixes the problem ?

Can you specify what has changed in this kernel and what your theory is
as to the cause of these symptoms?

I've been holding off on trying new kernels to resolve this, because
currently the Alsa upgrade script[1] doesn't seem to support kernels
newer[2] than 2.6.28-11, and installing Alsa from source seems to be
necessary in order to get working sound (as was the case with 8.10 too)
with my hardware. Fortunately the symptoms I'm experiencing are
comparatively mild, and not greatly interfering with my ability to use
the machine. (I'm experiencing about one crash a week in a manner
fitting the description of this ticket, problems surrounding high
network activity, and high CPU usage by X.)

1. http://ubuntuforums.org/showthread.php?t=1046137
2. http://ubuntuforums.org/showpost.php?p=7429366&postcount=304

Well, I booted into my ultimate .30 kernel this afternoon and DRM is okay (though AIGLX calling of driver entry point still fails), so it appears it was the .29 generic kernel causing last night's problems.

I have two 2.6.30 kernels (had a problem with kernel checker so I ended up with two), the ultimate and the candela. Don't know if they differ in any way, but after installation I had freezes with both.

I have been up for about four hours now, and so far I have not had a crash. As I recall most of my crashes have occurred within 30-60 minutes of booting, though sometimes watching a dvd will bring one on. I'll just have to wait and see what happens.

MB:ASUS M3A78-EM AM2+/AM2 780G HDMI, Proc: Athlon 64 X2 5000+ Brisbane 2.6 GHz 2x512KB L2 Cache, Graph: Int. ATI Radeon HD 3200, Aud: Int. Realtek ALC1200 8 channels, Ram: 2GB Corsair XMS2 DDR2 800 SDRAM, Monitor: Dell SE198WFP 19" Wide FPM

laysan_a wrote:
> Now my system is...very sluggish...xorg is using a lot of processor
> time (10 - 20% with only a couple of windows open).

I've been experiencing this as well for about a week or so.

It's hard to say whether this is a symptom of this bug - which is
rapidly turning into a kitchen sink catch-all for problems that cause
crashes - or something independent. I haven't gone looking for a more
specific ticket against X, but if anyone runs across one, post a
reference to it here.

The best bet for getting these crashes resolved is to group together
reports that all share very specific symptoms, like the originally
reported "Clocksource tsc unstable" log entries, and let the developers
work their way through eliminating each specific symptom.

@VastOne, Sir Romanov: I don't think it could be an overclocking/heating problem. Or at least not in my case, since I use a C2D E8400 and never thought of overclocking. And since my BIOS controls the fans in my chassis (CPU fan 1, chassis fan 1) (ASUS Q-Fan), and never experienced such error in windows, overheating can't be the source of the freezes.

Anyway, it seems to me, that there are different type of freezes. Laysan wrote, that his computer "only" turns sluggish, however, in my case, the computer completely unusable after the freeze. My mouse (A4Tech USB) losts power, the keyboard is not responding (even pressing the num lock has no effect). It's the same like when I shut down the computer, the only difference it's that it still has power (or at least i can hear the fans, the power supply unit, and the power on led is still on). The daemons stop, I can't establish connection through ssh, can't see myself logged in in pidgin. Rebooting the computer it's working fine, until another freeze.

I have been thinking of hardware problems, but I'm not experiencing anything under Windows (even after using the computer for more than 12 hours), memory is just fine (the configuration is only a year old).

Last time I booted to Ubuntu 9.04 I was running "top" in terminal, just to see whether something happens before the freeze. Nothing at all, no unusual high CPU/memory usage.

Tomorrow, I will have some time, so I will be testing the computer (I will even try installing Ubuntu on a pendrive and boot from it, just to be sure the installation isn't the problem).

@ NightWolf

I'm having the exact same issues as you.

No overclocking here either. System freezes, but still power to usb devices though they don't function. The keyboard functions for about ten or twenty seconds after the mouse freezes then it stops responding also.

NightWolf (zsolt-erhardt) wrote :

Maybe, after all, I have a different issue. Today, after my first freeze I looked at the log (/var/log/Xorg.0.log.old). I ran through it, and I found (at the bottom) these lines:
  (EE) A4Tech Wireless Battery Free Optical Mouse: Read error: No such device
  (II) config/hal: removing device A4Tech Wireless Battery Free Optical Mouse
  (II) A4Tech Wireless Battery Free Optical Mouse: Close
  (II) UnloadModule: "evdev"

As I was googling "evdev", I found out that it's the module of all input devices (most mouses and keyboards). So in my case, that module can be the culprit. However, I still don't know what to do with it (how to fix/remove/replace/etc.), but maybe that can be a step discovering the origin of this bug.

Anyway, I propose everybody encountering the same freezes as me, to have a look at the log.

Fjodor (sune-molgaard) wrote :

For what it's worth, my problems sound very much like the original report, however, I have noticed that I usually get an uptime of a couple of days with 2.6.28, but only half or whole hours with 2.6.29 or 2.6.30.

Based on those (admittedly informal) numbers, I should perhaps note that I have just had a 10 day problem with my ISP, prompting my internet connections speed to drop to 3Mbit/512kb, notably giving me an uptime of 10 days on this system. Shortly after full service (20M/2M) was restored, the system froze in the usual way, leading me to believe that this, at least in my case, is a networking problem. This would also explain why I can't even get extra info from using netconsole...

I am currently using the skge driver for my onboard NIC...

KeithR (keith-richardson) wrote :

A couple of days ago there was a kernel update to 2.6.28.13 via Update Manager. Since then CPU levels have dropped and no freezes. Firefox and Flash still top out one of the processors occasionally but no complete stops. It would be nice if this situation continues!

By the way, I'm using the 64bit version of the Flash plugin (have done from before my first comment here). The 32bit version wrapper just ran away with the CPU resources until it was 100% on both cores.

Martin Reiche (grimsrud) wrote :

After I had the same problems as descripted in this report I decided to give jaunty a last chance: a complete newinstall. Before I had the 64bit Version of Ubuntu 9.04 (cleaninstall) and it crashed as reported without any for me obvious reason several times the day. Now I tried the 32bit version with the same problems in the begining. But: at some point It looked for me that my wifi-card maybe the problem as it had problems to connect to my AP. Dmesg gave me something like "phy0: tx overflow". So I removed it from my PC and no problems since 6 hours while using the PC as with the old installation. It's not that long but at least a begining :-)

For my PC:
AMD Athlon64 4850e
Asus M3A-H/HDMI with onboard grafic and discrete ATI RadeonHD 3470 (Hybrid Crossfire) fglrx 9.6
Allnet all0271 Wifi-Card <-- removed
Ubuntu 9.04 32bit ext3
Linux bruno 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009 i686 GNU/Linux

All in all I have not installed all software that I had installed before in the 64bit-installation but that seems to be no problem as Jaunty 32bit crashed even without all the software (as possible sources of errors) installed.

Maybe that helps as if I remember right someone else had the idea with some sort of a wifi-problem before.

Scott Brogan (s-d-brogan-92) wrote :

I had it too : AMD Sempron 3000+ processor, nVidia GeForce FX5500 graphics card. Jaunty was freezing about 20 seconds to 1 minute after log-in -- I had to go back to Intrepid

laysan_a (laysan-a) wrote :

Well, since switching back to my .30 ultimate kernel from the .29-5 generic, I have gone four days without a sudden freeze to black crash. I don't know why I'm having this space of good luck, but I reluctant to fiddle with anything.

Incidentally my kernel log still shows tsc clocksource unstable.

I think there are two basic types of freezes going on here: one is sudden and without warning, where the screen goes to black or the dominant window color, there may be mouse movement, or not, but all one can do is hit the power. The second kind involves very high processor use, rising temps, sluggishness, and freezing of the system. In this case, if one is quick enough x can be restarted or the offending program can be terminated through the keyboard.

It may be helpful to describe just which of these types of freezes you experience when it happens. They could be related to the same cause, but they mightn't be, too.

laysan_a (laysan-a) wrote :

Well, I had two sudden freezes to black today - both within two to five minutes of booting. These kinds of freezes do not involve any increased processor activity nor is there any sluggishness in the system.

laysan_a (laysan-a) wrote :

Had another sudden freeze to black today, within five to ten minutes of booting.

Just wondering, has anyone tried that .28-14 kernel Manoj Ayer asked about (see up the page)?

Aven if I have a different system as described by the other users (I am on netbook with a lpia system), I have similar symptomes :
- Freeze with Alt-Sys-K not working
- Able to reboot with Alt-Sys-REISUB
- Able to login whit ssh.
- No information in the logs

When logged in with SSH I can see that the CPU is almost idle and the memory has a normal usage. Also it seem that a X server is still running (not killed) as indicated by `ps`: "root 3701 0.1 1.8 28652 18436 tty7 Ss+ Jun29 1:43 /usr/X11R6/bin/X :0 -br -audit 0 -auth /var/lib/gdm/:0.Xauth -nolisten tcp vt7"

Killing this server does nothing : GDM open an other one on and other vt. But the log look very small. If I try to launch vlc without interface, it fail to open /dev/dsp, and after if I try to launch alsamixer, I get this error :"alsamixer: function snd_ctl_open failed for default: No such file or directory" (It work before launching vlc).

The `sudo reboot` command return but doesn't display anything and the system does'nt restart. After that a `ps` command just freeze and a this point I can't do anything : the systeme is totally stalled and I need to use the Alt-Sys-REISUB sequence on the freezed PC.

On ubuntu-8.04 (lpia) it was not freezeing at all.

alcCapone (alcc) wrote :

Upgrading from xserver-xorg-video-intel 2:2.6.3-0ubuntu9.3 to xserver-xorg-video-intel 2:2.6.3-0ubuntu9.4 *does not* solve the problem.

Still easy to recreate - see https://bugs.launchpad.net/ubuntu/+bug/384490/comments/17

laysan_a (laysan-a) wrote :

Well, something odd happened today in my sys.log. I started the computer at about 10:56. It suddenly froze to biege (the color of my Firefox window) at 11:33. REISUB didn't work; I hit the reset button.

Looking at my sys.log, there is a restart shown at 11:19, 11:24, and (the real one) at 11:33. What's up with that?

There are no entries in my kernel.log from 11:08 to 11:33. What's up with that??

I have the 2.6.30 ultimate kernel.

Here's an excerpt from my sys.log:

Jul 1 11:19:41 DESKTOP syslogd 1.5.0#5ubuntu3: restart.
Jul 1 11:19:41 DESKTOP anacron[3945]: Job `cron.daily' terminated
Jul 1 11:19:41 DESKTOP anacron[3945]: Job `cron.weekly' started
Jul 1 11:19:41 DESKTOP anacron[4863]: Updated timestamp for job `cron.weekly' to 2009-07-01
Jul 1 11:20:01 DESKTOP /USR/SBIN/CRON[4930]: (root) CMD ([ -x /usr/sbin/update-motd ] && /usr/sbin/update-motd 2>/dev/null)
Jul 1 11:24:18 DESKTOP syslogd 1.5.0#5ubuntu3: restart.
Jul 1 11:24:18 DESKTOP anacron[3945]: Job `cron.weekly' terminated
Jul 1 11:24:18 DESKTOP anacron[3945]: Normal exit (2 jobs run)
Jul 1 11:30:01 DESKTOP /USR/SBIN/CRON[11432]: (root) CMD ([ -x /usr/sbin/update-motd ] && /usr/sbin/update-motd 2>/dev/null)
Jul 1 11:33:31 DESKTOP syslogd 1.5.0#5ubuntu3: restart.
Jul 1 11:33:31 DESKTOP kernel: Inspecting /boot/System.map-2.6.30-ultimate
Jul 1 11:33:31 DESKTOP kernel: Inspecting /usr/src/linux/System.map
Jul 1 11:33:32 DESKTOP kernel: Cannot find map file.
Jul 1 11:33:32 DESKTOP kernel: Loaded 56577 symbols from 47 modules.
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Initializing cgroup subsys cpuset
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Initializing cgroup subsys cpu
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Linux version 2.6.30-ultimate (root@DESKTOP) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #1 SMP Sun Jun 14 02:22:59 PDT 2009
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Command line: root=UUID=64dd790a-876b-4a81-a0c4-d02b1a9442a8 ro quiet splash
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] KERNEL supported cpus:
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Intel GenuineIntel
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] AMD AuthenticAMD
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] Centaur CentaurHauls
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] BIOS-provided physical RAM map:
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
Jul 1 11:33:32 DESKTOP kernel: [ 0.000000] BIOS-e820:

MB:ASUS M3A78-EM AM2+/AM2 780G HDMI, Proc: Athlon 64 X2 5000+ Brisbane 2.6 GHz 2x512KB L2 Cache, Graph: Int. ATI Radeon HD 3200, Aud: Int. Realtek ALC1200 8 channels, Ram: 2GB Corsair XMS2 DDR2 800 SDRAM, Monitor: Dell SE198WFP 19" Wide FPM

Andreas Kielkopf (a-kielkopf) wrote :

Me too

since i have installed Ubuntu 9.04 on my new PC it froze randomly

i searched a lot in the last weeks, to find a tip, how i could fix this
I tried a lot of diffrent nvidia-rivers on a copy of this install, but nothing did really help.

I found 1 comment, who suggestet to disable 3 of my 4 Cores, and that did it !!!

If i boot with maxcpus=1 there is no freeze any more since 4 Weeks now with a lot of pc-working

If i reboot without maxcpus=1 the there is a freeze every ca. 15-20 Minutes

MB: Asrock K10N78FullHD-hSLI AM2+/AM2 780G HDMI
Proc AMD 64 Phenom X4 + 4GB RAM
Nvidia Onboard-Grapic + extra nvidia card MSI NX7300

Andreas Kielkopf (a-kielkopf) wrote :

After readig all above, i want to tell you:

When running 4 cores there were diffrent stalls/freezes

1) The system hangs suddenly. No Mouse, No Keyboard, No ssh, only power off by hardware !!!
2) The system suddenly does not respond to mouseclicks, but mouse moves work sometimes, Numlock worked ONCE, but then No Keyboard any more.
3) I had an open Htop. Suddenly it showed 1 core 100% load. There it stayed.
    I tryd to find who this was, but soon after this, one core after the other stopped to >>freeze

so maybe this error stopps one of the cores(task) at a point where all other cores have to stop later, because the first core(task) has claimed some system recources, and will never give it back again.

While the other cores do not need this resource, they will work further for some time, but at some point there will be a other task, which will need it ... And so step by step the system stalls

Since 1 run singlecore i did not have any freeze
(but this is very odd. having 4cores, and disabling 3 of them because i have to do some work)
Andreas

Nicolas Piguet (npiguet) wrote :

Interesting theory, I wonder if other the other subscribers to this bug can confirm that they are all using multi-core or multi-processor systems.

I for one, am using a dual-core processor and am experiencing all the different types of lockups described by Andeas Kielkopf. In addition, sometimes when the crash number 1 happens (everything is totally locked up), both the caps-lock and num-lock leds of my laptop start flashing start flashing.

cat /proc/cpuinfo gives me the following info (extract)
model name : Intel(R) Core(TM)2 Duo CPU T7250 @ 2.00GHz,
stepping : 13
cpu cores : 2

Hi,

I have an AMD Athlon XP 3200+ (so only one core and only one processor) and I'm concerned by this bug: everything freezes, only a hard reboot can work.
The frequency of my processor can go from 1 GHz to 2 GHz whith the "Cool & Quiet" system of my ASUS A8N-SLI Deluxe mother board.
I was having about 3 freezes a day whith this function enabled. Since le 26th of june, I have disabled this function and I had only 2 freezes since this time.
According to this ans the messages above, I think that there is a problem with the precessor management.
(Sorry for my bad english, I hope I have helped)

For those of you experiencing both overheating and sluggish/freezing
behavior under DELL E-Series laptops (possibly also some D-Series), I
finally discovered the whole thing could be explained by some heat pipe or
fan-related issue that many of those laptops experience! See the subject:
http://en.community.dell.com/forums/p/19247293/19398983.aspx
So far, nothing seems to help (BIOS update etc), so it seems some of those
laptops need to be send back to DELL for repair. Also, since the problems
worsen with time, it is highly possible that those heat pipes are full of
dust.

This might help dividing this thread into people with real software issue
and those with hardware problems experiencing the same symptoms.

On Mon, Jul 6, 2009 at 11:13 PM, pierrro <email address hidden> wrote:

> Hi,
>
> I have an AMD Athlon XP 3200+ (so only one core and only one processor) and
> I'm concerned by this bug: everything freezes, only a hard reboot can work.
> The frequency of my processor can go from 1 GHz to 2 GHz whith the "Cool &
> Quiet" system of my ASUS A8N-SLI Deluxe mother board.
> I was having about 3 freezes a day whith this function enabled. Since le
> 26th of june, I have disabled this function and I had only 2 freezes since
> this time.
> According to this ans the messages above, I think that there is a problem
> with the precessor management.
> (Sorry for my bad english, I hope I have helped)
>
> --
> Clocksource tsc unstable leads to lockups in Ubuntu Jaunty
> https://bugs.launchpad.net/bugs/355155
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Ever since i installed jaunty, randomly my computer would just freeze, and
> even a alt+f1 or a alt+sysrq+reisub would not do anything, so i assume its a
> kernel problem. This just happened right now, and i had to restart my
> computer, so i ran 'ubuntu-bug linux' the second i restarted. Maybe it will
> provide some insight to the problem?
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> MachineType: System manufacturer P5Q-PRO
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.28-11-generic 2.6.28-11.40
> ProcCmdLine: root=UUID=d9574ed9-a697-45be-b773-ad8a81d79b6b ro quiet splash
> vga=792
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.40-generic
> SourcePackage: linux
>

i dint know if it helps anyone, but after getting hit with this bug, i switched compiz off (as the main ubuntu site acknowledges this helps some people). i was fortunate enough that this seemed to be a suitable work-around for me. since receiving the recent (ish) kernel updates, the xorg update and the compiz updates before that, i am (touch wood) freeze free.

im running a dell inspiron 1525n, Intel Core 2 Duo T5550 (1.83GHz) 32 bit. if that helps anyone! any other questions, just ask and ill find out.

hope this issue gets resolved for all soon, its been going on long enough now!

NightWolf (zsolt-erhardt) wrote :

Somehow I overcame the problem.

I was (and I am practically) still having freezes, when I wanted to test something. I just wanted to see what happens to the sound, when a freeze occur. So I installed vlc, and was listening to music every day. I made sure that music never stops, even when I was away from keyboard. But no luck, no freeze occured.

I was thinking that might have been a lucky day. So I was testing this out 2-3 days in a row, and I had no freeze at all. Then when I stopped vlc for a moment (changing playlist) the system froze. I thought that might have been unlucky sequence of events, so back to testing. No freeze again.

So I thought maybe this might be sound related (at least in my case). I must admit, when I installed Jaunty sound didn't work well. I could listen to music somehow, but there were no system sounds, only the warning sound, but that also came from the speaker of my motherboard (even when thunderbird checked for emails).

Anyway, I visited Realtek's site, downloaded the latest alsa driver, installed it. Next time I booted, everything worked. System sounds, music and video playback, youtube, etc.

Now I have found a better music player (mpd), which uses less resources (and fits more to my problem). But still, there were no freezes. Then once, when I was changing music in Sonata (client for mpd) I got a freeze again. But not while listening to music.

So far, I've got this system working for over a month now. I don't say, that it's a solution, but hey, if I can use Ubuntu I'm okay with it. I'm bound to listen to music all day? I don't care, I just need a bigger jukebox.

To be precise, I still have sound problems. Sometimes alsa crashes while playing music or watching a video. Sometimes I need to restart it, sometimes I have to reinstall it. But even if I have to do that, I'm still happy using Jaunty instead of XP (20 second boot time, I love this os). It's faster reinstalling alsa, rebooting, than using windows every day (slow boot, lots of programs to load, etc.). Anyway, if anybody experiencing the same thing as I did try listening music every day. And if anybody knows the solution to my sound problem, please contact me.

By the way @bryncoles: no, compiz is not the culprit (in my case). When I first wanted to get rid of the problem I tried everything: no update, no drivers installed, no additional programs installed, and the combinations of these three. But didn't worked for me. I even tried Kubuntu, but was still freezing (before installing any updates of softwares). Maybe I should have give a try to Mint, but now the problem is gone (or at least it's on vacation), I don't want to reinstall again.

KeithR (keith-richardson) wrote :

After Andreas' comments about multi core processors I switched off one of my Athlon dual cores via the bios. Since then (about four days now) I have had no freezes despite switching Compiz effects back on and throwing every video loading I could at it. In fact the system seems to run faster, albeit it slows down when really heavy loads are applied to the processor. Sometimes the processor load reaches 100% (monitored via Htop) but the system doesn't freeze.

I had one site that I could guarantee would freeze the machine at http://www.tbyc.org/weather-station/ but even this doesn't seem to happen now. With both cores running the freezes happened with both Firefox and Opera when viewing pages with a Flash component (not all, the BBC site was OK).

Using Htop I could see the process/command consuming the processor resources was:
/usr/X11R6/bin/X :0 -br -audit 0 -auth /var/lib/gdm/:0.Xauth -nolisten tcp vt7
Haven't a clue what that represents but here's the interesting bit. If I was patient and immediately closed Firefox or Opera then that process appeared to release the resources and processor loads dropped to 3 or 4%. However if Firefox or Opera were then reloaded the processor resources were immediately 'snatched' by the above process - on the same core. Everything then slowed down to freeze point again. This was repeatable time and time again.

Applying layman's logic (I'm no expert) the problem seems to be in the handling of multi core loadings either by the bios, the hardware or Linux. I err to the latter as I had none of these problems with Ubuntu 8.04.

Hope this ramble helps the experts.

As an aside, is there any tool that can monitor and log the actual steps that the operating system/hardware is following?

Mark Grandi (markgrandi) wrote :

just as a reminder, it has something to do with ubuntu's version of the kernel. I had this problem in ubuntu but i got sick and tired of it and went to arch linux, and i have had no freezes whatsoever since i switched. So it has to do with some modification to the kernel that only ubuntu has....it would be helpful if there was a list of kernel modifications that is present in the ubuntu kernel...

maxcpus=1 does *not* solve my problem. Still easily reproducible. Will
spend some time investigating the sound approach.

I too am experiencing problems with Jaunty freezing at random.

Please don't ask me to duplicate the problem. As I mentioned above it is a "random" issue.

Kubuntu 9:04 with all current official updates.

2.6.28-13.45-generic kernel
nvidia-glx-180 18.44-0ubuntu1
drives formatted with ext4,

Don't tell me it's an ext4 problem as I'm sick of hearing it!

Besides my Fedora 11 based laptop runs ext 4 no dramas, mind you that's running a 2.6.30 kernel.

On a laptop that is a year older than my desktop what's more.

Soltek Sl75FRN2 motherboard nforce2
Athlon XP 3200+
1 Gb Ram (Corsair) @ 400FSB (dual channel)
Nvidia 7800gs

Despite the age of the PC HW it runs perfectly, current dual booting Ubuntu 8:10 no problems whatsoever.

I just installed the 2.6.30-kernel and

- I seem to have no more problems with VT switches
- my Intel graphics performance is not only back at intrepid level (was
down to 20% in jaunty) but now it's about 20% BETTER than it was with
intrepid
- I can't seem to reproduce any freezes

Me is happy.

I'm now having problems with watching videos. If I move the gmplayer
window ... the video moves but in addition it also stays where it was.
Strange... but I too happy to care for it now.

Greetz. Christian.

I'm a victim too - running Jaunty on Dell Inspiron 6400. I guess this post is flooded with logs, and I'm not sure if I should attach mine. Probably irrelevant but, from what I've observed, I'm almost sure to see a freeze after I suspend and resume my system.

KeithR (keith-richardson) wrote :

After nearly a week of no freezes using only one core I tried switching the second core back on. Froze up within minutes. Turned off second core and now back to no freezes. No appreciable difference in performance between one or two cores - this shouldn't be, surely?

alcCapone - I didn't turn off the processor core by using maxcpu option but via the bios. This effectively turns the hardware into a single core machine. The op system will then see it as single core from the start. Perhaps the use of maxcpu was the reason it didn't fix it for you.

When will the 2.6.30 kernel hit the repositories? I'm not proficient enough to 'jump th gun' as it were!

VastOne (vastone) wrote :

@keithr

2.6.30 does not solve the problem as I have at least 3 machines with 2.6.30 and see the same issues.

On a 940 system I have, I had to reinstall Jaunty (now at 2.6.28-13) and have not seen a freeze in a week. When I was at 2.6.30 on this machine, I would see it 3-4 times a day

I think I found the solution to my freezing at the least.

I believe it is an issue with IRQ assignment and sharing.

Here are my /proc/interrupts and my lsusb:

[code]cat /proc/interrupts
           CPU0 CPU1 CPU2 CPU3
  0: 102 0 0 3 IO-APIC-edge timer
  1: 0 0 0 2 IO-APIC-edge i8042
  4: 0 0 0 1 IO-APIC-edge
  7: 1 0 0 0 IO-APIC-edge
  8: 0 0 0 1 IO-APIC-edge rtc0
  9: 0 0 0 0 IO-APIC-fasteoi acpi
 12: 0 0 0 4 IO-APIC-edge i8042
 14: 0 0 2 3582 IO-APIC-edge pata_amd
 15: 0 0 0 0 IO-APIC-edge pata_amd
 19: 0 0 0 3 IO-APIC-fasteoi ohci1394
 20: 0 0 0 477 IO-APIC-fasteoi ohci_hcd:usb3, nvidia
 21: 0 0 1 1660 IO-APIC-fasteoi ehci_hcd:usb2, HDA Intel
 22: 0 0 0 1 IO-APIC-fasteoi ehci_hcd:usb1
 23: 0 0 11 7448 IO-APIC-fasteoi ohci_hcd:usb4
2298: 0 0 58 50716 PCI-MSI-edge eth0
2299: 0 0 16 7431 PCI-MSI-edge ahci
NMI: 0 0 0 0 Non-maskable interrupts
LOC: 22949 13508 10719 30490 Local timer interrupts
RES: 14107 7407 9277 7849 Rescheduling interrupts
CAL: 156 180 173 49 Function call interrupts
TLB: 1146 877 877 881 TLB shootdowns
SPU: 0 0 0 0 Spurious interrupts
ERR: 1
MIS: 0
[/code]

[code]lsusb
Bus 002 Device 004: ID 05ac:021d Apple, Inc.
Bus 002 Device 002: ID 05ac:1005 Apple, Inc.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 045e:00d1 Microsoft Corp. Optical Mouse with Tilt Wheel
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[/code]

Notice that nvidia is sharing an irq with my usb hub # 3.

I had my mouse plugged into usb hub 3 and I had freezing.
I simply moved my mouse to hub 4 and no more freezing.

It seems it is an irq problem for me.

Good luck all.

@Chem.Imbalance:

 Do you have this problem with a Toshiba laptop?

I'd like to report that after three days from upgrading to kernel 2.69.30 and nVidia Drivers 185.18.14 from the X-updates ppa, I have ceased to experience kernel panics.

@ alcCapone

No, its on a desktop I built. Asus mobo and nvidia onboard graphics.

On Thu, Jul 16, 2009 at 10:14 AM, mercutio22 <email address hidden> wrote:

> I'd like to report that after three days from upgrading to kernel
> 2.69.30 and nVidia Drivers 185.18.14 from the X-updates ppa, I have
> ceased to experience kernel panics.
>
> --
> Clocksource tsc unstable leads to lockups in Ubuntu Jaunty
> https://bugs.launchpad.net/bugs/355155
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Ever since i installed jaunty, randomly my computer would just freeze, and
> even a alt+f1 or a alt+sysrq+reisub would not do anything, so i assume its a
> kernel problem. This just happened right now, and i had to restart my
> computer, so i ran 'ubuntu-bug linux' the second i restarted. Maybe it will
> provide some insight to the problem?
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> MachineType: System manufacturer P5Q-PRO
> NonfreeKernelModules: nvidia
> Package: linux-image-2.6.28-11-generic 2.6.28-11.40
> ProcCmdLine: root=UUID=d9574ed9-a697-45be-b773-ad8a81d79b6b ro quiet splash
> vga=792
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.40-generic
> SourcePackage: linux
>

My freezing has been solved.

Check my above post for details.

My freezing has been solved.

Check my above post for details.

Good luck all.

lasombra (lasombra) wrote :

Disabling multicore support does not solve my problem. I've changed it yesterday and it worked w/o freeze. Today after wakeup from hibernation, I got a freeze while logging in.

@Chem.Imbalance: I'm happy for you but I don't see an IRQ conflict on my side
[code]>cat /proc/interrupts
           CPU0
  0: 630296 IO-APIC-edge timer
  1: 468 IO-APIC-edge i8042
  8: 1 IO-APIC-edge rtc0
  9: 1 IO-APIC-fasteoi acpi
 12: 2125 IO-APIC-edge i8042
 14: 4517 IO-APIC-edge ata_piix
 15: 0 IO-APIC-edge ata_piix
 16: 1238 IO-APIC-fasteoi nvidia
 17: 1294 IO-APIC-fasteoi nvidia
 18: 0 IO-APIC-fasteoi mmc0
 19: 2 IO-APIC-fasteoi ohci1394
 20: 20 IO-APIC-fasteoi ehci_hcd:usb2, uhci_hcd:usb3, uhci_hcd:usb5
 21: 50303 IO-APIC-fasteoi uhci_hcd:usb4, uhci_hcd:usb6, HDA Intel
 22: 2 IO-APIC-fasteoi ehci_hcd:usb1, uhci_hcd:usb7
2296: 4 PCI-MSI-edge eth0
2297: 26213 PCI-MSI-edge iwlagn
2298: 81562 PCI-MSI-edge ahci
NMI: 0 Non-maskable interrupts
LOC: 330170 Local timer interrupts
RES: 0 Rescheduling interrupts
CAL: 0 Function call interrupts
TLB: 0 TLB shootdowns
SPU: 0 Spurious interrupts
ERR: 0
MIS: 0
>lsusb
Bus 002 Device 003: ID 05a9:2640 OmniVision Technologies, Inc.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 046d:c018 Logitech, Inc. Optical Wheel Mouse
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 046d:c251 Logitech, Inc.
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub[/code]

I did not yet a kernel upgrade:
Linux clawfinger 2.6.28-13-generic #45-Ubuntu SMP Tue Jun 30 22:12:12 UTC 2009 x86_64 GNU/Linux

Btw. I never had freezes with 32bit version of Ubuntu Jaunty (used since alpha 4).

lasombra (lasombra) wrote :
lasombra (lasombra) wrote :
lasombra (lasombra) wrote :
lasombra (lasombra) wrote :
lasombra (lasombra) wrote :
lasombra (lasombra) wrote :

Today I was watching the processes with top on terminal. In the gnome session a terminal was open and I was recursively deleting a file structure. Suddenly I got:
iwlagn: Microcode SW error detexted. Restarting 0x2000000

and afterwards repeating errors:
BUG: soft lockup - CPU#0 stock for 61s! [gnome-power-man:3663]
BUG: soft lockup - CPU#1 stock for 61s! [rm:4180]g

Fjodor (sune-molgaard) wrote :

No freezes for a week since I started booting with maxcpus=1, though that, naturally, isn't a solution, but only more of a "fix until this gets resolved".

Also, I'd like to share the info that the last time I had this sort of uptime, was during a period of a severely degraded internet connection. Some workers had damaged the outside cable, resulting in a severely unstable connection, but more interestingly, it made my adsl router connect at only 3Mbps, and during that period (10 days), I didn't have a single freeze. When the connections was restored to the usual 20/2, I had a freeze a couple of hours later. Longest uptime with full internet connection and without booting with maxcpus=1 is usually around 2½ days...

This probable causality with network might also explain why I have never been able to capture anything useful with netconsole, when the freezes happen...

lasombra (lasombra) wrote :

@Fjodor: Are you connected by cable or wireless? Perhaps this does also matter, as I could see a "iwlagn: Microcode SW error detected. Restarting 0x2000000" while I had my last freeze. I would also wonder what this error message means.
Btw. my connection is only 5Mbps.

Andreas Kielkopf (a-kielkopf) wrote :

Hello together,

i wold like to renew my say:
ever since i changed to maxcpu=1 i work without freezes.
Yesterday i tried to start without it. 2 Minutes after my login i got a freeze.
So far, i will stay with maxcpus=1 until i have time to install another distribution (maybe Gentoo).
Since i bought 4cores to work with them, and at this moment i can't

:-((

Andreas

I have only one core (AMD Athlon 64 3200+) and I had several freezes (about 3 or 4 a day).
Since I disabled the frequency variation of my CPU ("Cool & Quiet" option of my mother bord (ASUS A8N-SLI Deluxe)), on the 26th of june, I had only 3 freezes.

lasombra (lasombra) wrote :

While having these freezes, does anybody run simple backup? I did a new installation and I could work 2 days very well without any freeze (converting videos, looking movies, using transmission, ...). Today I've enabled again simple backup to do my backups in regular intervals. While running the initial backup, my system freezed up again. I've disabled simple backup again and so far no more freezes.

A side information: I do my backups on another hard disk and not over the network.

Mark Grandi (markgrandi) wrote :

This is also happening to me in debian squeeze, and it MIGHT be in arch linux now (got a freeze, but im not sure if its consistant, might of been just a random freeze)

and so far most of the freezes occur under heavy load, such as ripping a dvd in handbrake for me.

Andreas Kielkopf (a-kielkopf) wrote :

I found a realy good solution for my Bug, so you may look if this helps you too.

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-180/+bug/353502

So i found out that for me installing the newest nvidia-driver solved a lot of my Problems
since then i do not have any freezes. I am working with all off my 4 cores now, i have enabled Compiz, I am able to show Videos.

Even my Sound-Driver does Work now relaiably. (ever once in a while it worked after a new boot, most time there was even no chip found)

In the last Month i did try these drivers several times, but without success. But now i tried them again because i read about it in bug 353502

So if you happen to have nvidia-graphics, try it out

Andreas Kielkopf

Hi,

since I read your above message, I am using the 185.18.14 NVIDIA driver (since the 28th of july) and the "Cool & Quiet" option of my mother board is enabled (frequency variation enable for my AMD Athlon 64 3200+) and I just have a freeze this morning.

negations (ptaylor-osict) wrote :

Hi:

I have had the same or similar experience to most others in this bug report. My machine started freezing randomly a few weeks back after years of reliable service. I tried lots of things and eventually determined that it was a heat problem. The CPU fan was full of dust and the temps were pretty high. I blew out the dust and the temp went right down, but the random freezes remained. That machine was an Asus P5B Deluxe, Dual Core, 6GB RAM, NVidia 6600 on Jaunty. On close inspection, I could see the graphics riser was slightly warped and discoloured, so I assumed it had heated to the point that it had damaged the MB and that was what was causing the random freezes,
I got a new MB, CPU, RAM (Asus M3N, AM2, 4GB RAM, on-board NVidia 8200) and re-installed Jaunty. It worked fine for about 1 day and then the random freezes happened again. I tried all the suggestions on this and other posts such as installing the 185 driver, except the 2.6.30 kernel, but still it froze more and more.
I am now running 8.04 with very limited graphics. I can at least work, but would like to use jaunty if possible. I hope someone can find a cure for this ill. The conspiracy theorist in me suspects an M$ mole planted in the kernel team several years ago who has finally made their move :)

Paul

negations (ptaylor-osict) wrote :

Based on various recommendations here and in other forums, I installed 9.04 again and installed the 2.6.29 kernel. The system ran with the 180 driver fine for about 2 hours, then froze again. That fix didn't therefore work for me. I might try it in combination with the 185 driver, but there are only so many hours I can work without a working computer.

m4v (m4v) wrote :

I'm thinking that the network has something to do with this, I had freezes time to time, then, due to some issues with my ISP I lost internet for 11 days... where I had no freezes. Now that internet is back, I get the occasional freeze

negations (ptaylor-osict) wrote :

Sound/flash now appear to be the killers for me. My machine has now been running overnight and through the morning and seems happy enough. I had a freeze yesterday with a scim-launcher segfault while I was listening to music and then clicked on a heavy flash site. That was the experience I had before, although I also had a few npviewer.bin segfaults which I assume are related. It has now been up 17 hours and I have been able to work for the early part of the day. However, I have not used any sound or looked at flash heavy sites, or indeed used Skype. Those things seem to accelerate the crash. I read in one of these posts that they cause rapid memory leaks. Throughout all of this I have had heavy network activity through updates and various downloads, so I'm not sure the network is the problem for me.

Rob Ellis (rob-reac) wrote :

I upgraded my AMD K6-3 400 with 380Mb RAM from server 8.04 LTS to Jaunty, and had been experiencing the hangs about once a day, but then with increasing regularity, to the point at which it hung about 4 times in the space of a couple of hours.

Based on suggestions earlier in this thread, I added the boot parameters "noapic nolapic acpi=off" on Monday afternoon, and I've not had a problem since.

I tried "noapic nolapic acpi=off" and it does not work: my Jaunty still freeze.

Would anyone of you happen to know how to restrict the lowest C-state of the processor? I ran into a similar problem on freebsd, where the lapic uses ticks on c-states lower than C1, causing temporary or permanent hard-freezes. Setting the lowest c-state to C1 fixed the problem. Under freebsd you set a sysctl (hw.acpi.cpi.cx_lowest=C1).

I'm not sure how this is done on Linux, but if someone does, please try to set the lowest C-state to C1 and see if that helps.

Would anyone of you happen to know how to restrict the lowest C-state of the processor? I ran into a similar problem on freebsd, where the lapic loses ticks on c-states lower than C1, causing temporary or permanent hard-freezes. Setting the lowest c-state to C1 fixed the problem. Under freebsd you set a sysctl (hw.acpi.cpi.cx_lowest=C1).

I'm not sure how this is done on Linux, but if someone does, please try to set the lowest C-state to C1 and see if that helps.

Carey Underwood (cwillu) wrote :

This bug isn't getting attention because it's a hodgepodge of unrelated bugs and symptoms being reported by people.

Everybody who has a freezing problem, report a new bug (yes, really). Post the usual sets of logs to your own bugs, and don't jump to conclusions. This will result in the triagers being able to clearly see who has what symptoms, and allow the developers to focus their attention.

Polygon, could you report a fresh bug, reattaching the log files and pulling any useful details together there? I have some tests and directions for you to follow, but I'm not willing to start a wild goose chase on this report. :)

Carey Underwood (cwillu) wrote :

@Manoj Iyer, if you don't object, I'm going to mark this invalid and scatter everyone off to their own bug reports. There are too many people who've latched on to this report with issues that aren't obviously related. The lack of duplicate bugs (an action performed by triagers) combined with the trivially unrelated bug statements by others above is strong evidence of this.

KeithR (keith-richardson) wrote :

@ Carey Underwood
This may have turned into a hodgepodge but, in my opinion as a non-techy, there is something fundamentally wrong for so many people to be having similar issues. I've had to turn off multiple cpu support to get 100% stability which is not a satisfactory solution. It may help if someone could suggest to all affected some form of test (or tests) which may be useful in trying to pin down what is causing the problem; a problem that only seems to have surfaced with Jaunty. My, and many others systems, were perfectly stable with Hardy and Intrepid.

As a matter of interest, the latest official kernel upgrade to 2.6.28-15-generic and nVidia 180.44 seems to have brought better stability. I can now use both cpu cores without the system freezing every 20 minutes although the occasional freeze still happens.

Octavio Alvarez (alvarezp) wrote :

At KeithR and everybody else:

It really looks like this bug report is actually a multiple-cause, similar-symptom report, which leads to mixed comments. This makes it impossible for the devs to track all the possible causes, as those have to be pinpointed and fixed one by one. I am too for everybody opening their own bug report. Having multiple bugs mixed in the same report is useless for the developers. It is actually more useful to mark multiple bugs as duplicates of one another; this way, different causes would still be tracked separately.

For instance, my crash-like problem turned out to be an multiple-minutes freeze but my system eventually came back always. I solved it by using 2.6.29 from mainline. So far, I haven't seen any comments of somebody experiencing the exact same-cause symptom.

KeithR, that may be true, but it does absolutely nothing to help us
fix the issues. The _only_ thing we can do is to split out the bugs,
and fix them one at a time. Bug reports are not a forum for users to
help each other out, they are intended to help the developers keep
things organized so they can _fix_ them.

description: updated
description: updated
description: updated
Changed in linux (Ubuntu):
status: Triaged → Invalid

I don't know where is the new bug so I post here. I hope it will help:
Just before my computer freezed, it wrote those 2 lines in /var/log/messages:

Sep 18 18:29:48 hostname kernel: [ 136.088162] Marking TSC unstable due to cpufreq changes
Sep 18 18:29:48 hostname kernel: [ 136.588023] Clocksource tsc unstable (delta = -251978895 ns)

I have an AMD Athlon 64 3200+ on an ASUS A8N-SLI Deluxe Mother board and the "Cool and quiet" (which permit the frequency of the CPU change) is enabled.

> I don't know where is the new bug so I post here.

Pierre Lejeune, please file a new bug report by running "ubuntu-bug
linux" from a terminal, and following the prompts.

Denis Winz (winz) on 2009-11-09
Changed in linux (Ubuntu):
status: Invalid → Confirmed

I'm sorry that I changed the status to "Confirmed" - I didn't think that I had such user rights. But, maybe it should stay so, because I can definitely confirm, that:

1) this issue does relate to the network activity, and only to the outgoing one;
2) it goes away compeletely with acpi=off, which in its turn may break something else (in my case, Asterisk server)
3) it still exists in Karmic, 2.6.31-14

adrien (adrien5) wrote :

I have similar issues but now that I have grub2 (damn damn) I cannot set the acpi and other options (in a easy way).
Someone pointed out the atheros wirelss chipset as possible problem and I can only partially confirm since I have one myself. The problem only shows up when I use Firefox, not using the wlan. Also, rebooting in winxp and then coming back to 6.10 (with default kernel - whatever version it is) makes the trick. Finally, I have disabled the cpufreq applet to no avail.

-I'll post my own bug :-D

Mark Rice (ricemark20) wrote :

from Pit.
"After adding notsc clocksource=acpi_pm to grub kernel boot parameters. It stop freezing."

This worked for me too.

Jeenu V (jeenuv) wrote :

996 $ cat /proc/cmdline
root=UUID=55e3a787-1620-4311-a5fe-14dc6237dfb6 ro quiet splash notsc clocksource=acpi_pm

I'm still getting freezes despite adding the above mentioned arguments to kernel command line. Most recently, it was 3 freezes in 2 days. That's really bad. Quite annoying; and needless to mention data loss!

papukaija (papukaija) on 2010-05-16
tags: added: lucid
tags: added: kernel-core
tags: added: kernel-reviewed
papukaija (papukaija) on 2010-05-29
summary: - Clocksource tsc unstable leads to lockups in Ubuntu Jaunty
+ Clocksource tsc unstable leads to lockups
papukaija (papukaija) on 2010-11-16
tags: added: maverick
Jeremy Foshee (jeremyfoshee) wrote :

reset status invalid per the description. If you are affected by a similar issue, please file a new bug.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions